editor = 0;
/////////////////////////////////////////
//creating center east/ setting relations

EGG_sinit = 0; publicVariable "EGG_sinit";
EGG_sinit2 = 0; publicVariable "EGG_sinit2";
EGG_pinit = 0; 

_SideHQ = createCenter west;
EAST setFriend [WEST, 0]; 
WEST setFriend [EAST, 0];

/////////////////////////////////////////
//start parameters

EGG_EVO_accfactor = 0.1; //0.01; //used in accuracy.sqf to tweak accuracy on the fly

if (editor ==1) then
{
	//EDITOR function set params to default
	spawntype = 1;
	helicopterhitch = 2;
	EVOhour = 7;
	grasslevel = 1;
	viewparam =  2500;
	basebeam = 1;
	EWDB_on = 0;
	gitsnades = 0;
	EGG_EVO_allowpilots = 1;
	ranklock = 3;
	jailparam = 0;
	rankscore = 30;
	helpersparam = 1;
	performanceparam = 1;
	perkparam = 1;
	EGG_EVO_Artycost = 4;
//Note from Tox1m: paramsArray select 15 used by Revive script
	enemynumdiv = 2;
	reinfdelay = 240;
	rewardfactor = 4;
	POWfactor = 1;
	Raiders = 0;
	Espionage = 1;
	killcam = 0;
	skillfactor = 3;
//vec respawn settings
	vspawnab = 3600;
	vspawnair = 600;
	vspawntnk = 30;
	tky_perfmon = 0;
	EGG_weaponmode = 0;
	EGG_arsenal = 0;

	EGG_unitwest = 0;
	EGG_uniteast = 0;
	EGG_vecmods = 0;
	EGG_weaponmode = 0;

	Supportparam = 2;
	EGG_Island = 1;

} else
{	
	spawntype = paramsarray select 0;
	helicopterhitch = paramsarray select 1;
	EVOhour = paramsArray select 2;
	grasslevel = paramsArray select 3;
	if (grasslevel == 0) then {setTerrainGrid 50};
	if (grasslevel == 1) then {setTerrainGrid 25};
	if (grasslevel == 2) then {setTerrainGrid 12.5};
	if (grasslevel == 3) then {setTerrainGrid 6.25};
	if (grasslevel == 4) then {setTerrainGrid 3.125};
	viewparam =  paramsArray select 4;
	basebeam = paramsArray select 5;
	EWDB_on = paramsArray select 6;
	//legacy 
	gitsnades =0;
	EGG_EVO_allowpilots = paramsArray select 7;
	ranklock = paramsArray select 8;
	jailparam = paramsArray select 9;
	rankscore = paramsArray select 10;
	helpersparam = paramsArray select 11;
	performanceparam = paramsArray select 12;
	perkparam = paramsArray select 13;
	EGG_EVO_Artycost = paramsArray select 14;
	//Note from Tox1m: paramsArray select 15 used by Revive script
	enemynumdiv = paramsArray select 16;
	reinfdelay = paramsArray select 17;
	rewardfactor = paramsArray select 18;
	POWfactor = paramsArray select 19;
	Raiders = paramsArray select 20;
	Espionage = paramsArray select 21;
	killcam = paramsArray select 22;
	//AI skill tweaker
	skillfactor = paramsArray select 23;
	//vec respawn settings
	vspawnab = paramsArray select 24;
	vspawnair = paramsArray select 25;
	vspawntnk = paramsArray select 26;
	tky_perfmon = paramsArray select 27;
	EGG_weaponmode = paramsArray select 28;
	EGG_arsenal = paramsArray select 29;
};	
//adding for evo_erec, fillinf - returns 6,9,12,15 for squad size
Squadsize = ((6-enemynumdiv)*3);
enableEnvironment true;
//if (performanceparam == 1) then {enableEnvironment true};
if (performanceparam == 2) then {enableEnvironment false};

//Air units respawn frequency modified in makeair and aircomms script
EGG_aircomms =24; 

/*****	Elite Warriors	DB *******/
if (EWDB_on >0) then
{
	execvm "ewdb\init.sqf";
	execvm "ADPInit.sqf";
};

/////////////////////////////////////////
//Respawn settings

publicVariable "spawntype"; 
if ( (spawntype == 0) or (spawntype == 2) or (spawntype == 3)) then {server execVM "revive_init.sqf"};

if (spawntype == 1) then {"Respawn_West" setMarkerPos [(getMarkerPos "Sick-Bay" select 0),(getMarkerPos "Sick-Bay" select 1)]};

///////////////////////////////////////////
//adding respawns
//////////////////////////////////////////
/* make a param dependent function!!!!
if (alive MHQ_Ambulance) then 
{
	[Missionnamespace, MHQ_Ambulance] call BIS_fnc_addRespawnPosition;
} else {
	[Missionnamespace, MHQ_Ambulance] call BIS_fnc_removeRespawnPosition;
};
*/

/////////////////////////////////////////
//global variables for functions

EGG_EVO_vdist=viewparam;       	// clients saved view distance
EGG_EVO_avdist=viewparam; 		// clients saved air vehicle view distance
//adding variable to set terrain grid and store it for each player
EGG_EVO_grid=grasslevel;    	// clients saved terrain option
EGG_EVO_gdate = [1968,6,21,EVOhour,59];        // Current date and time
EGG_EVO_GlobalSleep = 0.1; // Global sleep is used after spawning a unit.
EGG_EVO_Playerlist = [];	   // List of player names.
EGG_EVO_Playercount = 1;	   // Amount of players in the game
EGG_EVO_PlayerSkill = 0.0;
EGG_EVO_CivCount = 0; // Counts number of civilians spawned 

EGG_EVO_supportcomms =1;

/////////////////////////////////////////
//core mission

//sub-objectives (radio tower/officer)
EGG_EVO_sop=objNull;		// player
EGG_EVO_sot=objNull;		// target (radio or officer)
EGG_EVO_sor=0;			// reward
EGG_EVO_latk=objNull;		// Person attacking a radio tower

//uses rewardfactor from params values (2,4,6) - it is vital to keep these four reward values distinct from one another

EGG_EVO_offscore = (rewardfactor *5);	//score for group capturing officer (default 20)
EGG_EVO_cityscore =(rewardfactor *4);	//score for individuals in city when it is cleared (default 16)
EGG_EVO_radioscore =(rewardfactor *3);	//score for group taking down tower (default 12)
EGG_EVO_powscore =(rewardfactor *2);	//score for individual capturing POW alive (default 8)

EGG_EVO_powpen = -(rewardfactor *4);	//individual penalty for killing POW (default -16)
EGG_EVO_offpen = -(rewardfactor *6);	//individual penalty for killing officer (default -36)
EGG_EVO_Gpowpen = -(rewardfactor *2);	//group penalty for killing officer/POW (default -8)

EGG_EVO_powcount =0;		// count of captives
EGG_EVO_opowcount =0;		// count of captive officers

//assignments
EGG_EVO_punit=objNull;	// Player requesting assignment
EGG_EVO_prew=0;			// Group score adjustment e.g. reward score for assignment sharing group reward

EGG_EVO_lunit=objNull;	// Lone player requesting sub mission.
EGG_EVO_lrew=0;			// lone player score adjustment e.g. support cost, lone player penalty/ reward

EGG_EVO_allvar_packed = "";		   // String transmitted to JIP clients containing all vars.
EGG_EVO_end=false; 		// Used to trigger the end of the game
EGG_EVO_MissionProgress = 0; 	// counts towns captured, when it hits 11 , mission is over.
EGG_EVO_sobj1=false;

EGG_EVO_radios = [cityA1,cityB1,cityC1,cityD1,cityE1,cityF1,cityG1,cityH1,cityI1,cityJ1,cityK1]; // Each radio in each town
EGG_EVO_MissionTowns = ["mobj1","mobj2","mobj3","mobj4","mobj5","mobj6","mobj7","mobj8","mobj9","mobj10","mobj11"];// Each mission objectives town marker.
//strings for city names
EGG_EVO_Townnames = ["LANG GIAO","HILL 861","HILL 558","HILL 950","HILL 564","A RIENG","THUONG VAN","HILL 471","LANG BU","LANG VEI SF CAMP","HILL 881 SOUTH"];// Each mission name used in eventsc, mainthreadc, sorew, briefing, used as _city = (EGG_EVO_Townnames select EGG_EVO_MissionProgress);

EGG_EVO_Infantry = [[70,48],[72,52],[84,64],[88,64],[96,74],[100,80],[108,85],[110,86],[115,92],[118,102],[124,108]];//[Actual number of units,Base number of units]
EGG_EVO_Mechanized = [[5,3],[7,4],[9,6],[12,8],[14,10],[15,11],[16,12],[17,13],[18,14],[20,15],[21,16]];//[Actual number of units,Base number of units]
//when (Actual < Base) reinforcements are called until (enemy count == Base) again.

EGG_EVO_helipads = ["ref1","ref2","ref3","ref4","ref5","ref6","ref7","ref8","ref9","ref10","ref11"];//helipads for reinforcements to land on

//enable experimental parameter setting - for testing city rotation easily
//also disables intro
if (editor==1) then 
{
	EGG_EVO_Infantry = [[10,10],[10,10],[10,10],[10,10],[10,10],[10,10],[10,10],[10,10],[10,10],[10,10],[10,10]];
	EGG_EVO_Mechanized = [[2,1],[2,1],[2,1],[2,1],[2,1],[2,1],[2,1],[2,1],[2,1],[2,1],[2,1]];
	ranklock =0;//unlock everything
};

EGG_EVO_Allspawns = [["cityAref1","cityAref2","cityAref3"],["cityBref1","cityBref2","cityBref3"],["cityCref1","cityCref2","cityCref3"],["cityDref1","cityDref2","cityDref3"],["cityEref1","cityEref2","cityEref3"],["cityFref1","cityFref2","cityFref3"],["cityGref1","cityGref2","cityGref3"],["cityHref1","cityHref2","cityHref3"],["cityIref1","cityIref2","cityIref3"],["cityJref1","cityJref2","cityJref3"],["cityKref1","cityKref2","cityKref3"]];

10 setRadioMsg "NULL";

EGG_EVO_Objective0 = taskNull; // Idle objective (take a break)
EGG_EVO_Objective1 = taskNull; //City 1 to
EGG_EVO_Objective2 = taskNull;
EGG_EVO_Objective3 = taskNull;
EGG_EVO_Objective4 = taskNull;
EGG_EVO_Objective5 = taskNull;
EGG_EVO_Objective6 = taskNull;
EGG_EVO_Objective7 = taskNull;
EGG_EVO_Objective8 = taskNull;
EGG_EVO_Objective9 = taskNull;
EGG_EVO_Objective10 = taskNull;
EGG_EVO_Objective11 = taskNull; // City 11
EGG_EVO_Objective12 = taskNull; // 


/////////////////////////////////////////
//side missions and support menu

EGG_EVO_Onmission=false; 
EGG_EVO_fmission=false;	   // Limits support to one request at a time.

EGG_EVO_sup=objNull;		// Player calling support
EGG_EVO_sut="";			// Type of support called

EGG_EVO_runit=objNull; 	// Player who requires an AI recruit
EGG_EVO_rtype="none";		// Type of AI to be delivered

/////////////////////////////////////////
//medic and engineer functions

EGG_EVO_EngZone = objNull;	//Engineer zone
EGG_EVO_elock = 0;     	// Remembers if the engineer has his truck locked
EGG_EVO_ltrk = objNull;  	// The truck that is locked
EGG_EVO_epoint=objNull;	// Player eligible for repair reward

EGG_EVO_fattack=false; 	// detects if the player was attacked by the enemy for medic rewards
EGG_EVO_mpoint=objNull;	// Player eligible for a medic reward.

EGG_EVO_dunit="none"; 	// Name of disconnection player.

/////////////////////////////////////////
//rank system

EGG_EVO_aunit=objNull; 	// Player who will be promoted
EGG_EVO_arank="NULL"; 	// New rank the player will get

EGG_EVO_rank0 = 0;
EGG_EVO_rank1 = (rankscore * 1);
EGG_EVO_rank2 = (rankscore * 2);
EGG_EVO_rank3 = (rankscore * 3);
EGG_EVO_rank4 = (rankscore * 4);
EGG_EVO_rank5 = (rankscore * 5);
EGG_EVO_rank6 = (rankscore * 6);

//Rank vehicles (do not spawn from this array) //uns to do
//pvt
EGG_EVO_vrank0 = ["uns_ch34_army","uns_ch34_USMC","uns_ch34_sog","uns_ch34_VNAF","uns_ch34_army_M60","uns_ch34_USMC_M60","uns_ch34_sog_M60","uns_ch34_VNAF_M60","uns_H13_medevac_Army","uns_H13_medevac_USMC","uns_H13_medevac_USN","uns_H13_medevac_USAF","uns_H13_medevac_CAV","uns_ch34_USMC","uns_ch34_USMC_M60","uns_CH54","uns_ch34_VNAF","uns_ch34_VNAF_M60","UNS_skymaster_OBS","uns_a3b","uns_a3bvah1","uns_a3bvah2","uns_a3bvah4","uns_a3bvah6","uns_a3bvah11","uns_a3bcamo1","uns_a3a","uns_a3avah1","uns_a3avah2","uns_a3avah4","uns_a3avah6","uns_a3avah11","uns_c1a", "uns_c1a2", "uns_c1a3", "uns_c1a4", "uns_c1a5", "uns_c1a6", "uns_c1a7","uns_c1a2cargo", "uns_c1a3cargo", "uns_c1a4cargo", "uns_c1a5cargo", "uns_c1a6cargo", "uns_c1a7cargo","uns_willys","uns_willysmg","uns_M577_amb","uns_M113_ENG","uns_M113_M60","UNS_floatraft_3","UNS_freighter1_empty","UNS_freighter1","UNS_tugboat1","UNS_Zodiac_VC","UNS_Zodiac_NVA","UNS_Zodiac_W","uns_ch47a_medevac","uns_ch47_m60_army","uns_ch47_m60_usmc","uns_ch47_m60_1AC","uns_ch47_m60_arvn","uns_nvatruck","uns_nvatruck_open","uns_nvatruck_camo","uns_nvatruck_reammo", "uns_nvatruck_repair","uns_nvatruck_refuel","uns_nvatruck_mg"];
//corp
EGG_EVO_vrank1 = ["uns_uh1d_m60","uns_H13_amphib_Army","uns_H13_amphib_USMC","uns_H13_amphib_USN","uns_H13_amphib_USAF","uns_H13_amphib_CAV","uns_ch53","UNS_skymaster_fac","UNS_skymaster_CAS","UNS_skymaster_CBU","uns_m1941_82mm_mortarVC","uns_m1941_82mm_mortarNVA_arty","uns_m1941_82mm_mortarNVA","uns_M2_60mm_mortar","uns_M1_81mm_mortar_arty","uns_M1_81mm_mortar","uns_willysmg50","uns_M113_M2","UNS_PATROL_BOAT_NVA","UNS_PATROL_BOAT_VC","uns_PBR","uns_nvatruck_zu23","uns_nvatruck_zpu"];
//sgt
EGG_EVO_vrank2 = ["uns_H13_transport_Army","uns_H13_transport_USMC","uns_H13_transport_USN","uns_H13_transport_USAF","uns_H13_transport_CAV","uns_A1J","uns_A1J_CAS","uns_A1J_HCAS","uns_A1J_AGM","uns_A1J_MR","uns_A1J_BMB","uns_A1J_LBMB","uns_A1J_HBMB","uns_A1J_CBU","uns_A1J_CMU","UNS_Hawkeye","uns_M30_107mm_mortar","uns_D30_artillery","uns_D20_artillery","uns_m114_artillery","uns_M102_artillery","uns_willysm40","uns_xm706e2","uns_M113_XM182","uns_M113_30cal","UNS_ASSAULT_BOAT_NVA","UNS_ASSAULT_BOAT_VC","uns_PBR_MK18","uns_nvatruck_s60","uns_nvatruck_type65"];
//lt
EGG_EVO_vrank3 = ["uns_H13_gunship_Army","uns_H13_gunship_USMC","uns_H13_gunship_USN","uns_H13_gunship_USAF","uns_H13_gunship_CAV","uns_A4B_skyhawk_CAP","uns_A4B_skyhawk_CAS","uns_A4B_skyhawk_BMB","uns_A4B_skyhawk_MR","uns_xm706","uns_xm706e1","uns_M113_M134","uns_M113_M30","uns_PBR_M10"];
//cpt
EGG_EVO_vrank4 = ["uns_UH1C_M21_M158","uns_UH1C_M21_M200","uns_UH1C_M21_M200_1AC","uns_UH1C_M6_M158","uns_UH1C_M6_M200","uns_UH1C_M6_M200_1AC","uns_A4E_skyhawk_CAP","uns_A4E_skyhawk_CAS","uns_A4E_skyhawk_AGM","uns_A4E_skyhawk_MR","uns_A4E_skyhawk_BMB","uns_A4E_skyhawk_HBMB","uns_A4E_skyhawk_LRBMB","uns_A4E_skyhawk_SEAD","uns_A4E_skyhawk_CBU","uns_A6_Intruder_SEAD", "uns_A6_Intruder_CAP","uns_A6_Intruder_CAS", "uns_A6_Intruder_AGM", "uns_A6_Intruder_MR", "uns_A6_Intruder_BMB","uns_A6_Intruder_LRBMB", "uns_A6_Intruder_LBMB", "uns_A6_Intruder_MBMB", "uns_A6_Intruder_HBMB","uns_A6_Intruder_CBU", "uns_A6_Intruder_GBU","uns_f100b_CAP","uns_f100b_CAS","uns_f100b_MR","uns_f100b_AGM","uns_f100b_LRBMB","uns_f100b_BMB","uns_f100b_LBMB","uns_f100b_MBMB","uns_f100b_HBMB","uns_f100b_CBU","uns_f100b_SEAD","uns_M132","UNS_AH1G","UNS_AH1G_M158"];
//maj
EGG_EVO_vrank5 = ["uns_UH1C_M21_M158_M134","uns_UH1C_M6_M200_M134","uns_UH1F_M21_M158_Hornet","uns_UH1F_M6_M158_Hornet","uns_A7_CAP","uns_A7_CAS","uns_A7_AGM","uns_A7_MR","uns_A7_LRBMB","uns_A7_BMB","uns_A7_LBMB","uns_A7_MBMB","uns_A7_HBMB","uns_A7_CBU","uns_A7_GBU","uns_A7_SEAD","uns_A7N_CAP","uns_A7N_CAS","uns_A7N_AGM","uns_A7N_MR","uns_A7N_LRBMB","uns_A7N_BMB","uns_A7N_LBMB","uns_A7N_MBMB","uns_A7N_HBMB","uns_A7N_CBU","uns_A7N_GBU","uns_A7N_SEAD","uns_f105D_CAP","uns_f105D_CAS","uns_f105D_AGM","uns_f105D_MR","uns_f105D_BMB","uns_f105D_CBU","uns_f105D_HCAS","uns_AC47","uns_AC47_cia","uns_m163","UNS_AH1G_FFAR","UNS_AH1G_M195","UNS_AH1G_SUU11"];
//col
EGG_EVO_vrank6 = ["UNS_UH1B_TOW","UNS_UH1C_M3_ARA","uns_CH54_CV","uns_f105F_MR","uns_f105F_AGM","uns_f105F_BMB","uns_f105F_GBU","uns_f105F_SEAD","UNS_F111_CAP","UNS_F111_CAS","UNS_F111_HCAS","UNS_F111_AGM","UNS_F111_MR","UNS_F111_LBMB","UNS_F111_BMB","UNS_F111_HBMB","UNS_F111_LGB","UNS_F111_SEAD","UNS_F111_CBU","UNS_F111_D_CAP","UNS_F111_D_CAS","UNS_F111_D_HCAS","UNS_F111_D_AGM","UNS_F111_D_MR","UNS_F111_D_LBMB","UNS_F111_D_BMB","UNS_F111_D_HBMB","UNS_F111_D_LGB","UNS_F111_D_SEAD","UNS_F111_D_CBU","uns_ach47_m200","uns_ach47_m134"];

/////////////////////////////////////////
// Common function to disable/lock vehicles.
EGG_EVO_Lock =
{
	_vec = _this select 0;
	if((paramsarray select 8==4) or (paramsarray select 8==5)) then {_vec lock true} else {_vec lock false};
};

/////////////////////////////////////////
// Detects empty enemy vehicles and deletes them.
EGG_EVO_IdelSVEC = 
{	
	_svec = _this select 0;
	for [{_loop=0}, {_loop<1}, {_loop=_loop}] do
	{
		if(not alive _svec or count units _svec == 0) then {_loop=1};
		Sleep 4.0;
	};
	sleep 2.0;
	if(not alive _svec) exitWith {};
	sleep 300;
	if(count units _svec == 0) then 
	{
		{_x setpos position _svec} forEach crew _svec;
		sleep 1.0;
		deletevehicle _svec
	};
};

/////////////////////////////////////////
//class arrays
//##
EGG_EVO_masts =["Land_Illum_Tower","Land_TTowerBig_2_F","Land_TTowerBig_1_F"];

EGG_EVO_stations = ["Land_wagon_tanker","Land_fuel_tank_stairs","Land_Ind_TankSmall","Land_fuel_tank_big","Land_A_FuelStation_Shed","Land_repair_center","FuelStation","FuelStation_army","Land_Mil_Repair_center_EP1","Land_A_FuelStation_Build","Land_A_FuelStation_Feed","Land_Ind_FuelStation_Feed_EP1","Land_Ind_FuelStation_Build_EP1","Land_Ind_FuelStation_Shed_EP1","Land_Ind_Garage01_EP1","Land_benzina_schnell","Land_fuelstation","Land_fuelstation_army","Land_ibr_FuelStation_Feed","Land_ibr_FuelStation_Build","Land_ibr_FuelStation_Shed"];

EGG_EVO_reconHQ =["uns_willys","uns_pbr"];//,"uns_truck_open"
EGG_EVO_MHQ = ["uns_M577_amb"];

//checkitems for MASH/FARP
EGG_EVO_CHITEMS = ["ToolKit","Medikit","UNS_TrapKit"];

//modify at beta
EGG_EVO_HELIPAD =["Land_HelipadEmpty_F","LAND_heli_h_big","Land_HelipadSquare_F"];

//items for FARP
EGG_EVO_FARP =["uns_engineerbox_US","LAND_heli_h_big","uns_camp","Land_MetalBarrel_F"];
EGG_EVO_crates = ["uns_US_armoury","uns_PAVN_armoury","uns_AmmoBoxUS_USMC","uns_AmmoBoxCIDG","uns_US_Ordnance","uns_engineerbox_US","uns_resupply_crate_US","uns_AmmoBoxUS_SF"];

//items for MASH
EGG_EVO_MASH =["uns_mash_main","mbox"];
//##
//officer classes
EGG_EVO_playerOffweps =["ItemRadio"]; 
	EGG_EVO_playerOff = ["uns_men_US_Arty_XO","uns_men_US_Arty_AXO","uns_men_CIDG_COM","uns_men_CIDG_PL","uns_men_US_1AC_COM","uns_men_US_1AC_PL","uns_US_1ID_COM","uns_US_1ID_PL","uns_US_25ID_COM","uns_US_25ID_PL","uns_men_USMC_65_COM","uns_men_USMC_65_PL","uns_men_USMC_68_COM","uns_men_USMC_68_PL","uns_men_US_3FRC_COM","uns_men_US_3FRC_PL","uns_men_US_5SFG_COM","uns_men_US_5SFG_PL","uns_men_US_6SFG_COM","uns_men_US_6SFG_PL","uns_men_NVA_crew_COM","uns_men_NVA_crew_off","uns_men_VC_local_off","uns_men_VC_recon_off","uns_men_vc_regional_COM","uns_men_vc_regional_off","uns_men_vc_regional_Roff","uns_men_VC_mainforce_COM","uns_men_VC_mainforce_off","uns_men_VC_mainforce_Roff","uns_men_NVA_65_COM","uns_men_NVA_65_off","uns_men_NVA_65_Roff","uns_men_NVA_recon_65_off","uns_men_NVA_68_Roff","uns_men_NVA_68_COM","uns_men_NVA_68_off","uns_men_NVA_daccong_COM","uns_men_NVA_daccong_off"];
  //medic classes
	EGG_EVO_playerMedic = ["uns_men_CIDG_MED","uns_men_US_1AC_MED","uns_US_1ID_MED","uns_US_25ID_MED","uns_men_USMC_65_MED","uns_men_USMC_68_MED","uns_men_US_3FRC_MED","uns_men_US_5SFG_MED","uns_men_US_6SFG_MED","uns_men_VC_local_MED","uns_men_VC_recon_MED","uns_men_vc_regional_MED","uns_men_vc_regional_Rmed","uns_men_VC_mainforce_MED","uns_men_VC_mainforce_Rmed","uns_men_NVA_65_MED","uns_men_NVA_65_Rmed","uns_men_NVA_recon_65_MED","uns_men_NVA_68_MED","uns_men_NVA_68_Rmed","uns_men_NVA_daccong_MED"];
  //engineer classes
	EGG_EVO_playerEng = ["uns_men_CIDG_DEM","uns_men_CIDG_SAP","uns_men_CIDG_ENG","uns_men_US_1AC_DEM","uns_men_US_1AC_SAP","uns_men_US_1AC_ENG","uns_US_1ID_ENG","uns_US_1ID_DEM","uns_US_1ID_SAP","uns_US_25ID_ENG","uns_US_25ID_SAP","uns_US_25ID_DEM","uns_men_USMC_65_DEM","uns_men_USMC_65_ENG","uns_men_USMC_65_SAP","uns_men_USMC_68_ENG","uns_men_USMC_68_DEM","uns_men_USMC_68_SAP","uns_men_US_3FRC_DEM","uns_men_US_3FRC_SAP","uns_men_US_3FRC_ENG","uns_men_US_5SFG_DEM","uns_men_US_5SFG_SAP","uns_men_US_5SFG_ENG","uns_men_US_6SFG_DEM","uns_men_US_6SFG_SAP","uns_men_US_6SFG_ENG","uns_men_VC_local_SAP","uns_men_VC_recon_SAP","uns_men_vc_regional_SAP","uns_men_VC_mainforce_SAP","uns_men_NVA_65_SAP","uns_men_NVA_recon_65_SAP","uns_men_NVA_68_SAP","uns_men_NVA_daccong_SAP1","uns_men_NVA_daccong_SAP2","uns_men_NVA_daccong_SAP3"];
  //sniper classes
EGG_EVO_playerSniweps =[];
	EGG_EVO_playerSniper = ["uns_men_CIDG_SCT","uns_men_CIDG_MRK","uns_men_US_1AC_SCT","uns_men_US_1AC_MRK","uns_US_1ID_SCT","uns_US_1ID_MRK","uns_US_25ID_SCT","uns_US_25ID_MRK","uns_men_USMC_65_SCT","uns_men_USMC_65_MRK","uns_men_USMC_68_SCT","uns_men_USMC_68_MRK","uns_men_US_3FRC_SCT","uns_men_US_3FRC_MRK","uns_men_US_5SFG_SCT","uns_men_US_5SFG_MRK","uns_men_US_6SFG_SCT","uns_men_US_6SFG_MRK","uns_men_VC_local_MRK","uns_men_VC_recon_MRK","uns_men_vc_regional_MRK","uns_men_vc_regional_Rmrk","uns_men_VC_mainforce_MRK","uns_men_VC_mainforce_Rmrk","uns_men_NVA_65_MRK","uns_men_NVA_65_Rmrk","uns_men_NVA_recon_65_MRK","uns_men_NVA_68_MRK","uns_men_NVA_68_Rmrk","uns_men_NVA_daccong_MRK"];
  //grenadier classes
EGG_EVO_playerGLweps =[]; 
	EGG_EVO_playerGL = ["uns_men_CIDG_GL","uns_men_US_1AC_GL","uns_men_US_1AC_GL2","uns_men_US_1AC_MTSG","uns_US_1ID_GL","uns_US_1ID_MTSG","uns_US_25ID_MTSG","uns_US_25ID_GL","uns_men_USMC_65_MTSG","uns_men_USMC_65_GL","uns_men_USMC_68_MTSG","uns_men_USMC_68_GL","uns_men_US_3FRC_MTSG","uns_men_US_3FRC_GL","uns_men_US_5SFG_MTSG","uns_men_US_5SFG_Mk18","uns_men_US_5SFG_GL","uns_men_US_5SFG_GL2","uns_men_US_6SFG_MTSG","uns_men_US_6SFG_Mk18","uns_men_US_6SFG_GL","uns_men_US_6SFG_GL2","uns_men_VC_local_MTS","uns_men_VC_recon_MTS","uns_men_vc_regional_MTS","uns_men_VC_mainforce_MTS","uns_men_NVA_65_MTS","uns_men_NVA_recon_65_MTS","uns_men_NVA_68_MTS","uns_men_NVA_daccong_MTS"];
	EGG_EVO_playerSpot = ["uns_men_CIDG_RTO","uns_men_US_1AC_RTO","uns_US_1ID_RTO","uns_US_25ID_RTO","uns_men_USMC_65_RTO","uns_men_USMC_68_RTO","uns_men_US_3FRC_RTO","uns_men_US_5SFG_RTO","uns_men_US_6SFG_RTO","uns_men_VC_recon_RTO","uns_men_vc_regional_RTO","uns_men_VC_mainforce_RTO","uns_men_NVA_65_RTO","uns_men_NVA_recon_65_RTO","uns_men_NVA_68_RTO","uns_men_NVA_daccong_RTO"];
  //Anti air classes
EGG_EVO_playerAAweps =[]; 
	EGG_EVO_playerAA = ["uns_US_1ID_MGAASG","uns_US_25ID_MGAASG","uns_men_USMC_65_MGAASG","uns_men_USMC_68_MGAASG","uns_men_NVA_65_MGAAS","uns_men_NVA_65_AA","uns_men_NVA_65_MGAAS","uns_men_NVA_68_AA"];
  //anti tank classes
EGG_EVO_playerATweps =[]; 
	EGG_EVO_playerAT = ["uns_men_CIDG_AT","uns_men_US_1AC_AT","uns_US_1ID_AT","uns_US_25ID_AT","uns_men_USMC_65_AT","uns_men_USMC_68_AT","uns_men_US_3FRC_AT","uns_men_US_5SFG_AT","uns_men_US_6SFG_AT","uns_men_VC_recon_AT","uns_men_vc_regional_AT","uns_men_NVA_65_AT","uns_men_NVA_65_AT2","uns_men_VC_mainforce_AT","uns_men_VC_mainforce_AT2","uns_men_NVA_recon_65_AT","uns_men_NVA_recon_65_AT2","uns_men_NVA_68_AT","uns_men_NVA_68_AT2","uns_men_NVA_daccong_AT","uns_men_NVA_daccong_AT2","uns_men_NVA_daccong_AT3"];
  //machinegunner classes
EGG_EVO_playerMGweps =[]; 
	EGG_EVO_playerMG = ["uns_men_CIDG_HMG","uns_men_US_1AC_HMG","uns_men_US_1AC_AHMG","uns_men_US_1AC_MGSG","uns_US_1ID_HMG","uns_US_1ID_AHMG","uns_US_1ID_MGSG","uns_US_25ID_HMG","uns_US_25ID_AHMG","uns_US_25ID_MGSG","uns_men_USMC_65_HMG","uns_men_USMC_65_AHMG","uns_men_USMC_65_MGSG","uns_men_USMC_68_HMG","uns_men_USMC_68_AHMG","uns_men_USMC_68_MGSG","uns_men_US_3FRC_HMG","uns_men_US_3FRC_AHMG","uns_men_US_3FRC_MGSG","uns_men_US_5SFG_HMG","uns_men_US_5SFG_AHMG","uns_men_US_5SFG_MGSG","uns_men_US_6SFG_HMG","uns_men_US_6SFG_AHMG","uns_men_US_6SFG_MGSG","uns_men_VC_local_LMG","uns_men_VC_local_MGS","uns_men_VC_recon_LMG","uns_men_VC_recon_HMG","uns_men_VC_recon_MGS","uns_men_vc_regional_LMG","uns_men_vc_regional_HMG","uns_men_vc_regional_MGS","uns_men_vc_regional_Rmg","uns_men_VC_mainforce_LMG","uns_men_VC_mainforce_HMG","uns_men_VC_mainforce_MGS","uns_men_VC_mainforce_Rmg","uns_men_NVA_65_Rmg","uns_men_NVA_65_LMG","uns_men_NVA_65_HMG","uns_men_NVA_65_MGS","uns_men_NVA_recon_65_LMG","uns_men_NVA_recon_65_HMG","uns_men_NVA_recon_65_MGS","uns_men_NVA_68_LMG","uns_men_NVA_68_HMG","uns_men_NVA_68_MGS","uns_men_NVA_68_Rmg","uns_men_NVA_daccong_LMG","uns_men_NVA_daccong_HMG","uns_men_NVA_daccong_MGS"];
  //pilot classes
	EGG_EVO_playerPilot = ["uns_pil1","uns_pil2","uns_pilN1","uns_pilN2","uns_pilot1","uns_pilot2","uns_pilot3","uns_pilot4","uns_pilot5","uns_pilot6","uns_pilot7","uns_pilot8","uns_pilot9","uns_pilot10","uns_nvaf_pilot1","uns_nvaf_pilot2","uns_nvaf_pilot3","uns_nvaf_pilot4","uns_nvaf_pilot5"];
	EGG_EVO_playerCrew = ["uns_US_6TB_DRV1","uns_US_6TB_DRV2","uns_US_2MI_CDR","uns_US_2MI_GNR","uns_US_2MI_DRV","uns_men_US_Arty_RTO","uns_men_US_Arty_G","uns_men_US_Arty_AG","uns_men_US_Arty_CS","uns_men_US_Arty_C1","uns_men_US_Arty_C2","uns_men_US_Arty_C3","uns_men_US_Arty_C4","uns_men_US_Arty_C5","uns_men_US_Arty_C6","uns_men_US_Arty_DRV","uns_men_NVA_crew_COM","uns_men_NVA_crew_off","uns_men_NVA_crew_gunner","uns_men_NVA_crew_driver","uns_men_NVA_crew_crewman","uns_men_NVA_crew_Tdriver","uns_men_NVA_crew_Tcrewman","uns_men_NVA_crew_Tgunner"];
  //diver classes
EGG_EVO_playerdiver = ["O_diver_TL_F","O_diver_exp_F","O_diver_F","B_diver_TL_F","B_diver_F","B_diver_exp_F"];
  //spy class
EGG_EVO_spytype = ["uns_civilian3","uns_civilian1"];
//spy class variables
Spymade = 0;
EGG_hidetotal = 6;

EGG_EVO_civuniforms = ["U_B_poloshirt_blue","U_B_poloshirt_burgundy","U_B_poloshirt_stripped","U_B_poloshirt_tricolour","U_B_poloshirt_salmon","U_B_poloshirt_redwhite","U_B_CombatUniform_mcam_tshirt"];

EGG_EVO_west1 =["uns_men_ARVN_RF3","uns_men_ARVN_MED","uns_men_ARVN_GL","uns_men_ARVN_AT","uns_men_ARVN_SCT","uns_men_ARVN_HMG","uns_men_ARVN_MRK","uns_men_ARVN_DEM","uns_men_ARVN_SL","uns_men_ARVN_SAP","uns_men_ARVN_AHMG","uns_men_ARVN_RF5"];

EGG_EVO_west2 =["B_diver_TL_F","B_diver_F","B_diver_exp_F"];

EGG_EVO_east1a = ["uns_men_VC_local_MED","uns_men_VC_local_off","uns_men_VC_local_nco","uns_men_VC_local_RF1","uns_men_VC_local_RF2","uns_men_VC_local_RF3","uns_men_VC_local_RF4","uns_men_VC_local_RF5","uns_men_VC_local_RF6","uns_men_VC_local_RF7","uns_men_VC_local_AS1","uns_men_VC_local_AS2","uns_men_VC_local_AS3","uns_men_VC_local_AS4","uns_men_VC_local_AS5","uns_men_VC_local_AS6","uns_men_VC_local_AS7","uns_men_VC_local_AS8","uns_men_VC_local_MRK","uns_men_VC_local_MRK2","uns_men_VC_local_LMG","uns_men_VC_local_SAP","uns_men_VC_local_TRI","uns_men_VC_local_MGS","uns_men_VC_local_MTS"];

EGG_EVO_east1b = ["uns_men_VC_regional_MED","uns_men_VC_regional_COM","uns_men_VC_regional_off","uns_men_VC_regional_nco","uns_men_VC_regional_RF1","uns_men_VC_regional_RF2","uns_men_VC_regional_RF3","uns_men_VC_regional_RF4","uns_men_VC_regional_RF5","uns_men_VC_regional_RF6","uns_men_VC_regional_RF7","uns_men_VC_regional_AS1","uns_men_VC_regional_AS2","uns_men_VC_regional_AS3","uns_men_VC_regional_AS4","uns_men_VC_regional_AS5","uns_men_VC_regional_AS6","uns_men_VC_regional_MRK","uns_men_VC_regional_MRK2","uns_men_VC_regional_LMG","uns_men_VC_regional_HMG","uns_men_VC_regional_RTO","uns_men_VC_regional_SAP","uns_men_VC_regional_TRI","uns_men_VC_regional_MGS","uns_men_VC_regional_MTS","uns_men_VC_regional_AT","uns_men_VC_regional_AT2","uns_men_VC_regional_Roff","uns_men_VC_regional_Rmed","uns_men_VC_regional_Ra1","uns_men_VC_regional_Ra2","uns_men_VC_regional_Rmrk","uns_men_VC_regional_Rmg"];
EGG_EVO_east1 = EGG_EVO_east1a + EGG_EVO_east1b;

EGG_EVO_east2a = ["uns_men_VC_mainforce_MED","uns_men_VC_mainforce_COM","uns_men_VC_mainforce_off","uns_men_VC_mainforce_nco","uns_men_VC_mainforce_RF1","uns_men_VC_mainforce_RF2","uns_men_VC_mainforce_RF3","uns_men_VC_mainforce_RF4","uns_men_VC_mainforce_RF5","uns_men_VC_mainforce_AS1","uns_men_VC_mainforce_AS2","uns_men_VC_mainforce_AS3","uns_men_VC_mainforce_AS4","uns_men_VC_mainforce_AS5","uns_men_VC_mainforce_MRK","uns_men_VC_mainforce_LMG","uns_men_VC_mainforce_HMG","uns_men_VC_mainforce_RTO","uns_men_VC_mainforce_SAP","uns_men_VC_mainforce_TRI","uns_men_VC_mainforce_MGS","uns_men_VC_mainforce_MTS","uns_men_VC_mainforce_AT","uns_men_VC_mainforce_AT2","uns_men_VC_mainforce_Roff","uns_men_VC_mainforce_Rmed","uns_men_VC_mainforce_Ra1","uns_men_VC_mainforce_Ra2","uns_men_VC_mainforce_Rmrk","uns_men_VC_mainforce_Rmg"];

EGG_EVO_east2b = ["uns_men_VC_recon_MED","uns_men_VC_recon_off","uns_men_VC_recon_nco","uns_men_VC_recon_RF1","uns_men_VC_recon_RF2","uns_men_VC_recon_RF3","uns_men_VC_recon_RF4","uns_men_VC_recon_RF5","uns_men_VC_recon_AS1","uns_men_VC_recon_AS2","uns_men_VC_recon_AS3","uns_men_VC_recon_AS4","uns_men_VC_recon_AS5","uns_men_VC_recon_AS6","uns_men_VC_recon_MRK","uns_men_VC_recon_MRK2","uns_men_VC_recon_LMG","uns_men_VC_recon_HMG","uns_men_VC_recon_RTO","uns_men_VC_recon_SAP","uns_men_VC_recon_SAP2","uns_men_VC_recon_TRI","uns_men_VC_recon_MGS","uns_men_VC_recon_MTS","uns_men_VC_recon_AT"];
EGG_EVO_east2 = EGG_EVO_east2a + EGG_EVO_east2b;

EGG_EVO_east3 = ["uns_men_NVA_65_MED","uns_men_NVA_65_COM","uns_men_NVA_65_off","uns_men_NVA_65_nco","uns_men_NVA_65_RF1","uns_men_NVA_65_RF2","uns_men_NVA_65_RF3","uns_men_NVA_65_AS1","uns_men_NVA_65_AS2","uns_men_NVA_65_AS3","uns_men_NVA_65_AS4","uns_men_NVA_65_AS5","uns_men_NVA_65_AS6","uns_men_NVA_65_AS7","uns_men_NVA_65_AS8","uns_men_NVA_65_MRK","uns_men_NVA_65_LMG","uns_men_NVA_65_HMG","uns_men_NVA_65_RTO","uns_men_NVA_65_SAP","uns_men_NVA_65_TRI","uns_men_NVA_65_MGS","uns_men_NVA_65_MGAAS","uns_men_NVA_65_SLT","uns_men_NVA_65_MTS","uns_men_NVA_65_AT","uns_men_NVA_65_AT2","uns_men_NVA_65_AA"];

EGG_EVO_east4 = ["uns_men_NVA_68_MED","uns_men_NVA_68_COM","uns_men_NVA_68_off","uns_men_NVA_68_nco","uns_men_NVA_68_RF1","uns_men_NVA_68_RF2","uns_men_NVA_68_RF3","uns_men_NVA_68_RF4","uns_men_NVA_68_AS1","uns_men_NVA_68_AS2","uns_men_NVA_68_AS3","uns_men_NVA_68_AS4","uns_men_NVA_68_AS5","uns_men_NVA_68_AS6","uns_men_NVA_68_AS7","uns_men_NVA_68_AS8","uns_men_NVA_68_MRK","uns_men_NVA_68_LMG","uns_men_NVA_68_HMG","uns_men_NVA_68_RTO","uns_men_NVA_68_SAP","uns_men_NVA_68_TRI","uns_men_NVA_68_MGS","uns_men_NVA_68_MGAAS","uns_men_NVA_68_SLT","uns_men_NVA_68_MTS","uns_men_NVA_68_AT","uns_men_NVA_68_AT2","uns_men_NVA_68_AA","uns_men_NVA_68_Roff","uns_men_NVA_68_Rmed","uns_men_NVA_68_Ra1","uns_men_NVA_68_Ra2","uns_men_NVA_68_Rmrk","uns_men_NVA_68_Rmg","uns_men_NVA_68_RSAP","uns_men_NVA_68_RRTO"];

EGG_EVO_east5 = ["uns_men_NVA_daccong_MED","uns_men_NVA_daccong_COM","uns_men_NVA_daccong_off","uns_men_NVA_daccong_nco","uns_men_NVA_daccong_SAP1","uns_men_NVA_daccong_SAP2","uns_men_NVA_daccong_SAP3","uns_men_NVA_daccong_AS1","uns_men_NVA_daccong_AS2","uns_men_NVA_daccong_AS3","uns_men_NVA_daccong_AS4","uns_men_NVA_daccong_AS5","uns_men_NVA_daccong_AS6","uns_men_NVA_daccong_MRK","uns_men_NVA_daccong_LMG","uns_men_NVA_daccong_HMG","uns_men_NVA_daccong_RTO","uns_men_NVA_daccong_ACR","uns_men_NVA_daccong_TRI","uns_men_NVA_daccong_MGS","uns_men_NVA_daccong_MTS","uns_men_NVA_daccong_AT","uns_men_NVA_daccong_AT2","uns_men_NVA_daccong_AT3","uns_men_NVA_daccong_AA1","uns_men_NVA_daccong_cov1","uns_men_NVA_daccong_cov2","uns_men_NVA_daccong_cov3","uns_men_NVA_daccong_cov4","uns_men_NVA_daccong_cov5","uns_men_NVA_daccong_cov6","uns_men_NVA_daccong_cov7"];


//officer classes
EGG_EVO_enemyOff = ["uns_men_NVA_68_COM","uns_men_NVA_daccong_COM","uns_men_vc_regional_COM","uns_men_NVA_recon_65_off","uns_men_VC_local_off","uns_men_VC_mainforce_COM","uns_men_NVA_65_COM"];

EGG_EVO_westveh1 = ["B_Heli_Light_01_F","B_Heli_Transport_01_F"];//transport heli
EGG_EVO_westveh2 = ["B_Heli_Light_01_armed_F","B_Heli_Attack_01_F"];//gunship
EGG_EVO_westveh3 = ["uns_willys","uns_M113_ENG","uns_M577_amb"];//unarmed
EGG_EVO_westveh4 = ["uns_willysmg50","uns_willysmg","uns_willysm40","uns_M113_M2","uns_M113_XM182","uns_M113_M60","uns_M113_30cal","uns_M113_M134","uns_M113_M30","uns_M132","uns_m163"];//light
EGG_EVO_westveh5 = ["uns_xm706","uns_xm706e1","uns_xm706e2"];//tanks
EGG_EVO_westveh6 = ["uns_m2_low","uns_m2_high","uns_m1919_low","uns_m60_low","uns_US_SearchLight","uns_M40_106mm_US","Uns_M55_Quad","uns_M30_107mm_mortar","uns_M1_81mm_mortar","uns_M1_81mm_mortar_arty","uns_M2_60mm_mortar","uns_M102_artillery","uns_m114_artillery"]; // statics
EGG_EVO_westveh7 = ["uns_PBR","UNS_Zodiac_W"]; // boats
EGG_EVO_westveh8 = ["uns_PBR","uns_PBR_MK18","uns_PBR_M10"]; // armed boats
EGG_EVO_westveh9 = ["uns_A1J","uns_A1J_CAS","uns_A1J_HCAS","uns_A1J_AGM","uns_A1J_MR","uns_A1J_BMB","uns_A1J_LBMB","uns_A1J_HBMB","uns_A1J_CBU","uns_A1J_CMU","UNS_F111_D_CAS","UNS_F111_D_HCAS","UNS_F111_D_AGM","UNS_F111_D_MR","UNS_F111_D_LBMB","UNS_F111_D_BMB","UNS_F111_D_HBMB","UNS_F111_D_LGB","UNS_F111_D_JDAM","UNS_F111_D_SEAD","uns_f100b_CAP","uns_f100b_CAS","uns_f100b_MR","uns_f100b_AGM","uns_f100b_LRBMB","uns_f100b_BMB","uns_f100b_LBMB","uns_f100b_MBMB","uns_f100b_HBMB","uns_f100b_CBU","uns_f100b_SEAD","uns_A4B_skyhawk_CAS","uns_A4B_skyhawk_BMB","uns_A4E_skyhawk_CAS","uns_A4E_skyhawk_AGM","uns_A4E_skyhawk_MR","uns_A4E_skyhawk_BMB","uns_A4E_skyhawk_HBMB","uns_A4E_skyhawk_LRBMB","uns_A4E_skyhawk_SEAD","uns_A4E_skyhawk_CBU","uns_A6_Intruder_SEAD","uns_A6_Intruder_CAS","uns_A6_Intruder_AGM","uns_A6_Intruder_MR","uns_A6_Intruder_BMB","uns_A6_Intruder_LRBMB","uns_A6_Intruder_LBMB","uns_A6_Intruder_MBMB","uns_A6_Intruder_HBMB","uns_A6_Intruder_CBU","uns_A6_Intruder_GBU","uns_A7_CAS","uns_A7_AGM","uns_A7_MR","uns_A7_LRBMB","uns_A7_BMB","uns_A7_LBMB","uns_A7_MBMB","uns_A7_HBMB","uns_A7_CBU","uns_A7_GBU","uns_A7_SEAD","uns_A7N_CAS","uns_A7N_AGM","uns_A7N_MR","uns_A7N_LRBMB","uns_A7N_BMB","uns_A7N_LBMB","uns_A7N_MBMB","uns_A7N_HBMB","uns_A7N_CBU","uns_A7N_GBU","uns_A7N_SEAD"];// CAS planes
EGG_EVO_westveh10 = ["uns_m163"];//AA
EGG_EVO_westveh11 = ["UNS_F111_D_CAP","uns_f100b_CAP","uns_A4B_skyhawk_CAP","uns_A4E_skyhawk_CAP","uns_A6_Intruder_CAP","uns_A7_CAP","uns_A7N_CAP"];//A2A planes
//##
EGG_EVO_repairtruck = ["uns_M113_ENG","uns_nvatruck_repair"]; // for engineers
	
	EGG_EVO_eastveh1 = ["uns_Mi8MB_VPAF_medevac","uns_Mi8T_VPAF"]; // light armed heli
	EGG_EVO_eastveh2 = ["uns_Mi8TV_VPAF_MG"];//attack heli armed
	EGG_EVO_eastveh3 = ["uns_Type55","uns_BTR152_DSHK","uns_nvatruck","uns_nvatruck_open","uns_nvatruck_camo","uns_nvatruck_mg","uns_nvatruck_reammo", "uns_nvatruck_repair","uns_nvatruck_refuel","uns_nvatruck_mg"]; // transport
	EGG_EVO_eastveh4 = ["uns_Type55_MG","uns_Type55_twinMG","uns_Type55_patrol","uns_Type55_LMG","uns_BTR152_DSHK","uns_nvatruck_mg","uns_nvatruck_zu23","uns_nvatruck_zpu","uns_nvatruck_s60","uns_nvatruck_type65","uns_Type55_RR57","uns_Type55_RR73","uns_Type55_M40","uns_Type55_mortar","uns_Type55_ZU","uns_BTR152_ZPU"]; // armoured
	EGG_EVO_eastveh5 = ["pook_ZSU_NVA","pook_ZSU57_NVA","uns_t34_85_nva","uns_t34_76_vc","uns_ot34_85_nva","uns_t55_nva","uns_t54_nva","uns_to55_nva" ];//tanks
	EGG_EVO_eastveh6 = [
	"uns_dshk_high_NVA","uns_dshk_high_VC",
	"uns_dshk_low_NVA","uns_dshk_low_VC",
	"uns_dshk_armoured_NVA","uns_dshk_armoured_VC",
	"uns_dshk_wheeled_NVA","uns_dshk_wheeled_VC",
	"uns_dshk_twin_NVA","uns_dshk_twin_VC",
	"uns_dshk_bunker_open_NVA","uns_dshk_bunker_open_VC",
	"uns_dshk_bunker_closed_NVA","uns_dshk_bunker_closed_VC",
	"uns_dshk_twin_bunker_open_NVA","uns_dshk_twin_bunker_open_VC",
	"uns_dshk_twin_bunker_closed_NVA","uns_dshk_twin_bunker_closed_VC",
	"uns_pk_low_NVA","uns_pk_low_VC",
	"uns_pk_high_NVA","uns_pk_high_VC",
	"uns_pk_bunker_low_NVA","uns_pk_bunker_low_VC",
	"uns_pk_bunker_open_NVA","uns_pk_bunker_open_VC",
	"uns_pk_bunker_closed_NVA","uns_pk_bunker_closed_VC",
	"uns_mg42_low_NVA","uns_mg42_low_VC",
	"uns_NVA_SearchLight",
	"uns_M40_106mm_NVA","uns_M40_106mm_VC",
	"uns_SPG9_73mm_NVA","uns_SPG9_73mm_VC",
	"uns_Type36_57mm_VC","uns_Type36_57mm_NVA",
	"uns_spiderhole_VC","uns_spiderhole_leanto_VC",
	"uns_ZPU4_VC","uns_ZPU4_NVA",
	"uns_ZU23_VC","uns_ZU23_NVA",
	"uns_S60_VC","uns_S60_NVA",
	"uns_Type74_VC","uns_Type74_NVA",
	"uns_m1941_82mm_mortarNVA","uns_m1941_82mm_mortarNVA_arty","uns_m1941_82mm_mortarVC",
	"uns_D20_artillery","uns_D30_artillery","pook_KS12_NVA","pook_KS19_NVA","pook_SA2_static_NVA"
	];//statics - script adds a gunner
	EGG_EVO_eastveh7 = ["UNS_Zodiac_VC","UNS_Zodiac_NVA"];
	EGG_EVO_eastveh8 = ["UNS_PATROL_BOAT_NVA","UNS_PATROL_BOAT_VC","UNS_ASSAULT_BOAT_NVA","UNS_ASSAULT_BOAT_VC"];
	EGG_EVO_eastveh9 = ["uns_Mi8TV_VPAF_MG"];//CASE planes
	EGG_EVO_eastveh10 = ["uns_Type55_ZU","uns_BTR152_ZPU","uns_ZPU4_VC","uns_ZPU4_NVA","uns_ZU23_VC","uns_ZU23_NVA","uns_S60_VC","uns_S60_NVA","uns_Type74_VC","uns_Type74_NVA","pook_ZSU_NVA","pook_ZSU57_NVA","pook_KS12_NVA","pook_KS19_NVA","pook_SA2_static_NVA","uns_nvatruck_zu23","uns_nvatruck_zpu","uns_nvatruck_s60","uns_nvatruck_type65"];//AA
	EGG_EVO_eastveh11 = ["uns_Mi8TV_VPAF_MG"];//A2A planes

	//new bunkers - script does not add a gunner
EGG_EVO_eastveh17 = [
	"uns_sniper_tree1","uns_sniper_tree2","uns_sniper_tree1a","uns_sniper_tree3","uns_sniper_tree_vclocal","uns_sniper_tree_vcreg","uns_sniper_tree_vcmf","uns_sniper_tree_nva65","uns_sniper_tree_nvarc","uns_sniper_tree_nva68","uns_sniper_tree_dc",
"uns_pk_tower_NVA","uns_pk_tower_VC"
	];
EGG_EVO_eastarm = EGG_EVO_eastveh4;
//+EGG_EVO_eastveh5+EGG_EVO_eastveh3;

//EGG_EVO_magent = ["uns_civ_gvt_m","uns_civ_gvt_f","uns_civ_town_m2","uns_civ_town_f2"];
EGG_EVO_magent = ["C_man_1_2_F"];

//EGG_EVO_mdoctor = ["uns_civ_doctor","uns_civ_town_m","uns_civ_town_f"];
EGG_EVO_mdoctor = ["C_man_polo_6_F"];

EGG_EVO_mfpilot = ["uns_pilot1","uns_pilot2"];

EGG_EVO_mfteam = EGG_EVO_west1;

EGG_EVO_mepilot = ["uns_nvaf_pilot2","uns_nvaf_pilot3","uns_nvaf_pilot4","uns_nvaf_pilot5","uns_nvaf_pilot1"];

EGG_EVO_meofficer = ["uns_men_NVA_68_COM","uns_men_NVA_daccong_COM","uns_men_vc_regional_COM","uns_men_NVA_recon_65_off","uns_men_VC_local_off","uns_men_VC_mainforce_COM","uns_men_NVA_65_COM"];

EGG_EVO_mecrew = ["uns_men_NVA_crew_COM","uns_men_NVA_crew_off","uns_men_NVA_crew_gunner","uns_men_NVA_crew_driver","uns_men_NVA_crew_crewman"];

EGG_EVO_meguard = ["uns_men_NVA_daccong_MED","uns_men_NVA_daccong_COM","uns_men_NVA_daccong_off","uns_men_NVA_daccong_nco","uns_men_NVA_daccong_SAP1","uns_men_NVA_daccong_SAP2","uns_men_NVA_daccong_SAP3","uns_men_NVA_daccong_AS1","uns_men_NVA_daccong_AS2","uns_men_NVA_daccong_AS3","uns_men_NVA_daccong_AS4","uns_men_NVA_daccong_AS5","uns_men_NVA_daccong_MRK","uns_men_NVA_daccong_LMG","uns_men_NVA_daccong_HMG","uns_men_NVA_daccong_RTO","uns_men_NVA_daccong_ACR","uns_men_NVA_daccong_TRI","uns_men_NVA_daccong_MGS","uns_men_NVA_daccong_MTS","uns_men_NVA_daccong_AT","uns_men_NVA_daccong_AT2","uns_men_NVA_daccong_AT3"];

EGG_EVO_meguardb = ["uns_men_NVA_68_MED","uns_men_NVA_68_COM","uns_men_NVA_68_off","uns_men_NVA_68_nco","uns_men_NVA_68_RF1","uns_men_NVA_68_RF2","uns_men_NVA_68_RF3","uns_men_NVA_68_AS1","uns_men_NVA_68_AS2","uns_men_NVA_68_AS3","uns_men_NVA_68_AS4","uns_men_NVA_68_AS5","uns_men_NVA_68_AS6","uns_men_NVA_68_AS7","uns_men_NVA_68_MRK","uns_men_NVA_68_LMG","uns_men_NVA_68_HMG","uns_men_NVA_68_RTO","uns_men_NVA_68_SAP","uns_men_NVA_68_TRI","uns_men_NVA_68_MGS","uns_men_NVA_68_MGAAS","uns_men_NVA_68_SLT","uns_men_NVA_68_MTS","uns_men_NVA_68_AT","uns_men_NVA_68_AT2","uns_men_NVA_68_AA","uns_men_NVA_68_Roff","uns_men_NVA_68_Rmed","uns_men_NVA_68_Ra1","uns_men_NVA_68_Ra2","uns_men_NVA_68_Rmrk","uns_men_NVA_68_Rmg"];

EGG_EVO_meguardc = ["uns_men_NVA_recon_65_MED","uns_men_NVA_recon_65_off","uns_men_NVA_recon_65_nco","uns_men_NVA_recon_65_RF1","uns_men_NVA_recon_65_RF2","uns_men_NVA_recon_65_RF3","uns_men_NVA_recon_65_AS1","uns_men_NVA_recon_65_AS2","uns_men_NVA_recon_65_AS3","uns_men_NVA_recon_65_AS4","uns_men_NVA_recon_65_AS5","uns_men_NVA_recon_65_AS6","uns_men_NVA_recon_65_AS7","uns_men_NVA_recon_65_AS8","uns_men_NVA_recon_65_MRK","uns_men_NVA_recon_65_LMG","uns_men_NVA_recon_65_HMG","uns_men_NVA_recon_65_RTO","uns_men_NVA_recon_65_SAP","uns_men_NVA_recon_65_TRI","uns_men_NVA_recon_65_MGS","uns_men_NVA_recon_65_MTS","uns_men_NVA_recon_65_AT","uns_men_NVA_recon_65_AT2"];

EGG_EVO_meguardd = ["uns_men_VC_mainforce_MED","uns_men_VC_mainforce_COM","uns_men_VC_mainforce_off","uns_men_VC_mainforce_nco","uns_men_VC_mainforce_RF1","uns_men_VC_mainforce_RF2","uns_men_VC_mainforce_RF3","uns_men_VC_mainforce_RF4","uns_men_VC_mainforce_RF5","uns_men_VC_mainforce_AS1","uns_men_VC_mainforce_AS2","uns_men_VC_mainforce_AS3","uns_men_VC_mainforce_AS4","uns_men_VC_mainforce_AS5","uns_men_VC_mainforce_MRK","uns_men_VC_mainforce_LMG","uns_men_VC_mainforce_HMG","uns_men_VC_mainforce_RTO","uns_men_VC_mainforce_SAP","uns_men_VC_mainforce_TRI","uns_men_VC_mainforce_MGS","uns_men_VC_mainforce_MTS","uns_men_VC_mainforce_AT","uns_men_VC_mainforce_AT2","uns_men_VC_mainforce_Roff","uns_men_VC_mainforce_Rmed","uns_men_VC_mainforce_Ra1","uns_men_VC_mainforce_Ra2","uns_men_VC_mainforce_Rmrk","uns_men_VC_mainforce_Rmg"];

EGG_EVO_meguarde = ["uns_men_VC_local_MED","uns_men_VC_local_off","uns_men_VC_local_nco","uns_men_VC_local_RF1","uns_men_VC_local_RF2","uns_men_VC_local_RF3","uns_men_VC_local_RF4","uns_men_VC_local_RF5","uns_men_VC_local_AS1","uns_men_VC_local_AS2","uns_men_VC_local_AS3","uns_men_VC_local_AS4","uns_men_VC_local_MRK","uns_men_VC_local_LMG","uns_men_VC_local_SAP","uns_men_VC_local_TRI","uns_men_VC_local_MGS","uns_men_VC_local_MTS"];

EGG_EVO_meguardf = ["uns_men_VC_recon_off","uns_men_VC_recon_nco","uns_men_VC_recon_RF1","uns_men_VC_recon_RF2","uns_men_VC_recon_RF3","uns_men_VC_recon_RF4","uns_men_VC_recon_RF5","uns_men_VC_recon_AS1","uns_men_VC_recon_AS2","uns_men_VC_recon_AS3","uns_men_VC_recon_AS4","uns_men_VC_recon_MRK","uns_men_VC_recon_LMG","uns_men_VC_recon_HMG","uns_men_VC_recon_RTO","uns_men_VC_recon_SAP","uns_men_VC_recon_TRI","uns_men_VC_recon_MGS","uns_men_VC_recon_MTS","uns_men_VC_recon_AT"];

EGG_EVO_meguardg = ["uns_men_vc_regional_MED","uns_men_vc_regional_COM","uns_men_vc_regional_off","uns_men_vc_regional_nco","uns_men_vc_regional_RF1","uns_men_vc_regional_RF2","uns_men_vc_regional_RF3","uns_men_vc_regional_RF4","uns_men_vc_regional_RF5","uns_men_vc_regional_AS1","uns_men_vc_regional_AS2","uns_men_vc_regional_AS3","uns_men_vc_regional_AS4","uns_men_vc_regional_MRK","uns_men_vc_regional_LMG","uns_men_vc_regional_HMG","uns_men_vc_regional_RTO","uns_men_vc_regional_SAP","uns_men_vc_regional_TRI","uns_men_vc_regional_MGS","uns_men_vc_regional_MTS","uns_men_vc_regional_AT","uns_men_vc_regional_Roff","uns_men_vc_regional_Rmed","uns_men_vc_regional_Ra1","uns_men_vc_regional_Ra2","uns_men_vc_regional_Rmrk","uns_men_vc_regional_Rmg"];

//##
//EGG_EVO_mevlight = ["uns_Old_moto_NVA","uns_Type55","uns_Type55_LMG","uns_Type55_MG","uns_Type55_twinMG","uns_Type55_patrol"];
//EGG_EVO_mevlighta =["uns_zutruck_nva","uns_Type55_MG","uns_Type55_twinMG","uns_Type55_patrol","uns_Type55_RR","uns_Type55_RR2"];
//EGG_EVO_mevmed = ["uns_Type55_MG","uns_BTR152_AA","uns_Type55_twinMG","uns_Type55_patrol","uns_Type55_LMG","uns_Type55_RR","uns_Type55_RR2"];
//EGG_EVO_mevmeda = ["uns_pt76","uns_zutruck_nva"];
//EGG_EVO_mevheavya = ["uns_t34_nva","uns_ot34_85_nva","uns_t34_76_nva","uns_zsu_nva","uns_pt76"];
//EGG_EVO_mevheavyb = ["uns_t54_nva","uns_t55_nva","uns_to55_nva","uns_pt76","uns_zsu57_nva"];
//EGG_EVO_mevconvoya = ["uns_nvatruck_open","uns_nvatruck_repair","uns_nvatruck_refuel","uns_nvatruck_reammo","uns_Old_moto_NVA","uns_Type55","uns_P12","uns_SA2_Resupply"];
//EGG_EVO_mevconvoyb = ["uns_nvatruck_open","uns_Type55"];
//EGG_EVO_mevaira = ["uns_Mi8","uns_mi6_transport"];
//EGG_EVO_mevairb = ["uns_mig17_CAP","uns_mig17_CAS","uns_mig17_MR","uns_mig17_BMB","uns_mig17_LGB","uns_MIG19S","uns_MIG19S_CAS","uns_MIG19S_MR","uns_MIG19PM","uns_MIG19PM_HCAS","uns_mig21_CAP","uns_mig21_CAS","uns_mig21_MR","uns_mig21_BMB","uns_mig21_LGB","uns_Mig21_SEAD","uns_Mig21_CBU","uns_Mig21_HBMB","uns_Mig21_AGM"];
//EGG_EVO_mevair3 = ["uns_Mi8","uns_mi6","uns_mi6_transport"];

//EGG_EVO_mcvconvoya = ["Ural_TK_CIV_EP1","V3S_Open_TK_CIV_EP1"];
//EGG_EVO_mcvconvoyb = ["Lada1_TK_CIV_EP1","Lada2_TK_CIV_EP1","LandRover_TK_CIV_EP1","S1203_TK_CIV_EP1"];
//EGG_EVO_mcvconvoyc =["TT650_TK_CIV_EP1","uns_Old_bike_CIV","uns_Old_moto_Civ"];
//EGG_EVO_mcvconvoyd = ["Volha_1_TK_CIV_EP1","Volha_2_TK_CIV_EP1","VolhaLimo_TK_CIV_EP1","S1203_ambulance_EP1"];
//EGG_EVO_mehq = ["BMP2_HQ_TK_unfolded_EP1"];
//EGG_EVO_meflag = ["uns_FlagCarrierNVA"];
//EGG_EVO_mfhq =["LAND_uns_tentbarracks","LAND_uns_tent3mash"];

EGG_EVO_mfvlight = EGG_EVO_westveh3 + EGG_EVO_westveh4;
EGG_EVO_mfvlighta = EGG_EVO_westveh4;
EGG_EVO_mevlight = EGG_EVO_eastveh4;
EGG_EVO_mevlighta = EGG_EVO_eastveh4;

EGG_EVO_mevmed = EGG_EVO_eastveh4 + EGG_EVO_eastveh5;
EGG_EVO_mevmeda = EGG_EVO_eastveh4;
EGG_EVO_mevheavya = EGG_EVO_eastveh5;
EGG_EVO_mevheavyb = EGG_EVO_eastveh5;

EGG_EVO_mevconvoya = EGG_EVO_eastveh3;
EGG_EVO_mevconvoyb = EGG_EVO_eastveh3;
EGG_EVO_mevair3 = EGG_EVO_eastveh1+EGG_EVO_eastveh2;

///////////////CIVS//////////////////////

EGG_EVO_civ1 = ["uns_civilian1","uns_civilian2","uns_civilian3","uns_civilian4"];

//to update with different civs
EGG_EVO_civ2 = ["uns_civilian1","uns_civilian2","uns_civilian3","uns_civilian4"];

EGG_EVO_allciv = EGG_EVO_civ1+EGG_EVO_civ2;

//quadbikes, motorbikes and tractors
	EGG_EVO_civveh1 =["C_Quadbike_01_F"];
//cars
	EGG_EVO_civveh2 =["C_Hatchback_01_sport_F","C_Offroad_01_F","C_Hatchback_01_F"];
//buses and trucks
	EGG_EVO_civveh3 =["C_SUV_01_F","C_Van_01_transport_F","C_Van_01_box_F"];

	EGG_EVO_civall = EGG_EVO_civveh1+EGG_EVO_civveh2+EGG_EVO_civveh3;

EGG_EVO_mcvconvoya = EGG_EVO_civveh3;
EGG_EVO_mcvconvoyb = EGG_EVO_civveh2;
EGG_EVO_mcvconvoyc = EGG_EVO_civveh1;
EGG_EVO_mcvconvoyd = EGG_EVO_mcvconvoya;

EGG_EVO_mehq = ["Land_FieldToilet_F"];
//EGG_EVO_meflag = ["uns_FlagCarrierNVA"];
EGG_EVO_meflag = ["FlagChecked_F"];
EGG_EVO_mfhq =["LAND_uns_tentbarracks","LAND_uns_tent3mash"];

/////////////////////////////////////////
//support arrays

EGG_EVO_SHIPA = ["uns_PBR","uns_PBR_MK18","uns_PBR_M10"];
EGG_EVO_SHIPUNA = ["UNS_Zodiac_W"];
EGG_EVO_ALLSHIP = EGG_EVO_SHIPA+EGG_EVO_SHIPUNA;

//to do
EGG_EVO_SWEPS = ["uns_M2_60mm_mortar",
	"uns_m1919_low",
	"Uns_M55_Quad",
	"uns_M102_artillery",
	"APERSBoundingMine_Range_Ammo", //"ATMine_Range_Ammo",
	"Land_BagFence_Round_F",
	"Land_ladder_half",
	"Land_ladder",
	"Land_BagFence_Short_F",
	"LAND_CSJBladder_refuel",
	"uns_US_MK18_low",
	"CamoNet_BLUFOR_F",
	"uns_resupply_crate_US",
	"Land_BagBunker_Small_F"]; //officer bunker

// insert 0 mortar, 1 M2 tripod, 2 zu23, 3 M119, 4 mine, 5 sandbags, 6 ladder1, 7 ladder2, 8 hedgehog, 9 barrels, 10 GL, 11 camo net, 12 ammo crate, 13 officer fort,  in time

//support:
//precision strike: (EGG_EVO_Sbombs select 11) M_NLAW_AT_F
//small arty (EGG_EVO_Sbombs select 1) R_80mm_HE
//cluster bomb (EGG_EVO_Sbombs select 10) M_RPG32_F
//large arty (EGG_EVO_Sbombs select 0) R_80mm_HE
//MOAB (EGG_EVO_Sbombs select 9) M_NLAW_AT_F
//LAF: EGG_EVO_Sbombs random
//mortar barrage (EGG_EVO_Sbombs select 2) M_PG_AT

//EGG_EVO_Sbombs = ["Sh_82mm_AMOS","Sh_120mm_AMOS","Fire_82mm_AMOS","Sh_82mm_AMOS_guided","Sh_120mm_AMOS_guided","Sh_82mm_AMOS_LG","Sh_120mm_AMOS_LG","Cluster_120mm_AMOS","Bo_Air_LGB","Bo_GBU12_LGB","Bo_GBU12_LGB_MI10","Bo_Mk82","Bo_Mk82_MI08"];

//"R_80mm_HE","M_PG_AT","M_NLAW_AT_F","M_RPG32_F","G_40mm_HE"
//##
EGG_EVO_Sbombs = 
[
	"uns_Sh_155_HE",		//0 - large arty
	"uns_Sh_105_HE",		//1 - small arty
	"Uns_Napalm_500",		//2 - nape
	"uns_Sh_82_HE",			//3 - mortar
	"uns_Sh_82_WP",			//4 - mortar wp
	"uns_Sh_105_HESH",		//5 - 
	"uns_Sh_105_APERS",		//6 - 
	"uns_Sh_105_SMOKE",		//7 - 
	"Uns_M47WPbomb",		//8 - 
	"Uns_GBU8Bomb",			//9 - nuke
	"Uns_Mk81",				//10 - cluster bomb
	"uns_MK82"				//11 - precision strike 
];

EGG_EVO_Trapweapons = ["APERSMine_Range_Ammo","APERSBoundingMine_Range_Ammo","APERSTripMine_Wire_Ammo"];

EGG_EVO_SVECS = ["uns_willys","uns_willys","Land_Cargo_HQ_V2_F"];//mbike, mmt,fort

EGG_EVO_Sillum = ["uns_planeflare_large","F_40mm_White","F_40mm_Green","F_40mm_Red","F_40mm_yellow"];

EGG_EVO_Ssmoke = ["Smoke_82mm_AMOS_White","Smoke_120mm_AMOS_White","SmokeShellGreen","SmokeShell"];

EGG_EVO_Psmoke = ["SmokeShellRed","SmokeShellBlue","SmokeShellGreen","SmokeShell","SmokeShellOrange","SmokeShellPurple","SmokeShellYellow"];
EGG_EVO_Plight = ["Chemlight_blue","Chemlight_yellow","Chemlight_green","Chemlight_red"];

/////////////////////////////////////////
//adding bag types for static_Cargo
EGG_EVO_bagtypes_west = [];

EGG_EVO_bagtypes_east = [];

//EGG_EVO_cargoweapons_east = ["AK_47_S","AK_74","RPK_74","RPG7V","Sa61_EP1"];

//EGG_EVO_cargomags_east0 = ["30Rnd_762x39_AK47","30Rnd_545x39_AK","75Rnd_545x39_RPK","PG7V","20Rnd_B_765x17_Ball","HandGrenade_East","BAF_ied_v1","OG7","100Rnd_762x54_PK","10Rnd_762x54_SVD","20Rnd_762x51_FNFAL"];

//EGG_EVO_cargomags_east1 = ["Laserbatteries","BAF_ied_v2","BAF_ied_v3","BAF_ied_v4","pipebomb","mineE","PG7VR","PG7VL","Strela","Igla","AT13"];

//EGG_EVO_cargoweapons_west = ["M4A1","M1014","MP5A5","M136","UZI_EP1"];

//EGG_EVO_cargomags_west0 = ["30rnd_556x45_Stanag","8Rnd_B_Beneli_Pellets","30Rnd_9x19_MP5","M136","30Rnd_9x19_UZI","Laserbatteries","HandGrenade_West","pipebomb","100Rnd_762x51_M240","100Rnd_556x45_M249","20Rnd_762x51_DMR"];

//EGG_EVO_cargomags_west1 = ["BAF_ied_v1","BAF_ied_v2","BAF_ied_v3","BAF_ied_v4","mine","SMAW_HEAA","SMAW_HEDP","Stinger","JAVELIN","Dragon_EP1","MAAWS_HEAT","MAAWS_HEDP","NLAW","30Rnd_556x45_G36SD","100Rnd_556x45_BetaCMag","20Rnd_762x51_B_SCAR","200Rnd_762x51_M240","200Rnd_556x45_M249","5Rnd_762x51_M24","10Rnd_127x99_m107"];

EGG_EVO_factionsW = ["USMC","BIS_US","BIS_CZ","BIS_GER","BIS_UN","BIS_BAF","PMC_BAF"];

EGG_EVO_factionsE = ["CDF","RU","INS","GUE","CIV","CIV_RU","BIS_TK","BIS_TK_INS","BIS_TK_GUE","BIS_TK_CIV","BIS_CIV_special"];

/////////////////////////////////////////
//adding weapon type arrays for actions/makestatic.sqf

// All weapons that count for AA class static bonus
EGG_EVO_AAirweapons = ["launch_B_Titan_F","uns_sa7","uns_sa7b"];

// All weapons that count for AT class static bonus
EGG_EVO_ATweapons = ["uns_m72","uns_rpg7","uns_rpg2","uns_B40"];

// All weapons that count for MG class static bonus updated RH OA
EGG_EVO_MGweapons = ["uns_M63a_drum","uns_M63a_LMG","uns_M63asupport","uns_m60shorty","uns_m60","uns_m60support","uns_m60grip","uns_M16A1_HBAR","uns_rpd","uns_rpdsog","uns_RPDsupport","uns_RPK_drum","uns_RPK_40","uns_MG42","uns_MG42support","uns_PK","uns_Pksupport","uns_DP28"];

// All weapons that count for GL class static bonus
EGG_EVO_GLweapons = ["uns_m16_m203","uns_m16a1_m203","uns_xm177e1_m203","uns_xm177e2_m203","uns_M16_XM148","uns_xm177e1_xm148","uns_xm177e2_xm148","uns_l1a1gl","uns_m79","uns_ex41"];

/////////////////////////////////////////
//missile camera weapons

//All types of SAM
EGG_EVO_SAMS = [];
//all missiles
EGG_EVO_miscamwepsM = ["M_PG_AT","M_Titan_AT","M_Zephyr_MI06","M_Zephyr","M_Air_AT","M_Air_AA","M_AT","M_Air_AA_MI02"];
//all airborne bombs
EGG_EVO_miscamwepsB = ["Bo_Air_LGB","Bo_GBU12_LGB","Bo_GBU12_LGB_MI10","Bo_Mk82","Bo_Mk82_MI08"];

setDate EGG_EVO_gdate;
//##
//R3F Arty and logistics
if ((helicopterhitch == 1) || (helicopterhitch == 2)) then
{
	execVM "R3F_ARTY_AND_LOG\init.sqf";
};

///////////////////////////////////////////
//initialise mission

//Tasks

"0" objstatus "Active";
"1" objstatus "Active";
"2" objstatus "Active";
"3" objstatus "Active";
"4" objstatus "Active";
"5" objstatus "Active";
"6" objstatus "Active";
"7" objstatus "Active";
"8" objstatus "Active";
"9" objstatus "Active";
"10" objstatus "Active";
"11" objstatus "Active";
"12" objstatus "Active";

_base = [] execVM "scripts\EGG_EVO_GetRelDir.sqf";
_spawnv = [] execVM "scripts\EGG_EVO_CreateVehicle.sqf";
_spawns = [] execVM "scripts\EGG_EVO_skill.sqf";

//_spawna = [] execVM "scripts\EGG_EVO_CreatePlane.sqf";
//_addkit = spawn [] call EGG_EVO_Fillcargo;

//mando hitch

if ((helicopterhitch ==2) || (helicopterhitch ==3) ) then
{
	mando_hitch_no_check_for_drop = true;
	mando_hitch_types = ["Landvehicle","ReammoBox", "StaticWeapon"];

//heavy cargoes
	mando_hitch_types_heavy = ["Ship","Air","Wreck"];
	mando_hitch_heavies = ["uns_ch34_USMC","uns_ch34_army","uns_ch34_sog","uns_ch34_VNAF","uns_ch34_army_M60","uns_ch34_USMC_M60","uns_ch34_sog_M60","uns_ch34_VNAF_M60","uns_ch47_m60_army","uns_ch47_m60_usmc","uns_ch47_m60_1AC","uns_ch47_m60_arvn","uns_ach47_m200","uns_ach47_m134","csj_ch46","uns_ch53","uns_ch54","uns_ch54army","uns_mi6","uns_Mi6transport","uns_Mi8"];

	[24] execVM "mando_hitch\mando_hitch.sqf";
	[["uns_ch34_USMC","uns_ch34_army","uns_ch34_sog","uns_ch34_VNAF","uns_ch34_army_M60","uns_ch34_USMC_M60","uns_ch34_sog_M60","uns_ch34_VNAF_M60","uns_ch47_m60_army","uns_ch47_m60_usmc","uns_ch47_m60_1AC","uns_ch47_m60_arvn","uns_ach47_m200","uns_ach47_m134","UNS_AH1G","UNS_AH1G_FFAR","UNS_AH1G_M195","UNS_AH1G_SUU11","UNS_AH1G_M158","csj_ch46","uns_ch53","uns_ch54","uns_ch54army","CSJ_UH1transport","CSJ_UH1supply","uns_mi6","uns_Mi6transport","uns_Mi8","uns_H13_medevac_Army","uns_H13_medevac_USMC","uns_H13_medevac_USN","uns_H13_medevac_USAF","uns_H13_medevac_CAV","uns_H13_amphib_Army","uns_H13_amphib_USMC","uns_H13_amphib_USN","uns_H13_amphib_USAF","uns_H13_amphib_CAV","uns_H13_gunship_Army","uns_H13_gunship_USMC","uns_H13_gunship_USN","uns_H13_gunship_USAF","uns_H13_gunship_CAV","uns_H13_transport_Army","uns_H13_transport_USMC","uns_H13_transport_USN","uns_H13_transport_USAF","uns_H13_transport_CAV","uns_UH1C_M21_M158","uns_UH1C_M21_M200","uns_UH1C_M21_M200_1AC","uns_UH1C_M6_M158","uns_UH1C_M6_M200","uns_UH1C_M6_M200_1AC","uns_UH1C_M21_M158_M134","uns_UH1C_M6_M200_M134","uns_UH1F_M21_M158_Hornet","uns_UH1F_M6_M158_Hornet","UNS_UH1B_TOW","UNS_UH1C_M3_ARA","UNS_UH1D_M60"]] execVM "mando_hitch\mando_add_hitch.sqf";
};

if (isServer) then 
{
//protect radio tower from non- "demo charge wielding players"
	{_x addEventHandler ["handledamage", {if((_this select 3) != EGG_EVO_latk) then {(_this select 0) setdamage 0}}]} forEach EGG_EVO_radios;
//blazes
//	onplayerconnected "[_name] execVM ""scripts\update.sqf"";if(EGG_EVO_dunit == _name) then {EGG_EVO_dunit = ""none""}";
//	onplayerconnected "[_name] execVM ""scripts\update.sqf"";";
//	onplayerconnected "EGG_EVO_uptasks_req = true;publicVariable 'EGG_EVO_uptasks_req';";
["someId", "onPlayerConnected",{publicVariable "EGG_EVO_MissionProgress";}] call BIS_fnc_addStackedEventHandler;

	onPlayerDisconnected "
	EGG_EVO_dunit = _name;
	_mark = format[""%1mash"",EGG_EVO_dunit];
	deleteMarker _mark;
	_mark = format[""%1FARP"",EGG_EVO_dunit];
	deleteMarker _mark;
	[] execVM ""scripts\noplayermove.sqf"";
	";
//	waituntil {!isnil "bis_fnc_init"}; LHD1 call BIS_EW_fnc_createLHD;
//	_nul1 = [tky_perfmon] execVM "scripts\tky_evo_performance_report.sqf";
};

//_nul1 = [tky_perfmon] execVM "scripts\tky_evo_performance_report.sqf";

EGG_sinit = 1; publicVariable "EGG_sinit";
hint "finished sinit1";
if (isServer and not (local player)) exitWith {}; 

//###########################################################
//################## CLIENT ONLY SCRIPTS ####################
//###########################################################

/////////////////////////////////////////
//Player gear

waitUntil { !isNull player }; // Wait for player to initialize

hint "finished sinit2 -critical";

// The players default load out
If (ranklock ==1 || ranklock == 3 || ranklock == 5) then 
{
//Hi-tech default load out (unlocked ammoboxes)

	EGG_EVO_pallammo = ["uns_m61gren","uns_m67gren","uns_20Rnd_556x45_Stanag","uns_20Rnd_556x45_Stanag","uns_20Rnd_556x45_Stanag","uns_20Rnd_556x45_Stanag","uns_coltcmdrmag","uns_coltcmdrmag","uns_coltcmdrmag","uns_coltcmdrmag","uns_kabar","DemoCharge_Remote_Mag","uns_ItemSiphon"];
	EGG_EVO_pweapons = ["uns_m16","uns_coltcmdr"];
	EGG_EVO_pitems = ["FirstAidKit","FirstAidKit"];//,"uns_anpvs2"
	EGG_EVO_aitems = ["ItemWatch","ItemCompass","ItemMap","ItemRadio"];//,"Binocular"
} else {
// Lo-tech default load out (locked ammoboxes)

	EGG_EVO_pallammo = ["uns_m61gren","uns_m67gren","uns_20Rnd_556x45_Stanag","uns_20Rnd_556x45_Stanag","uns_20Rnd_556x45_Stanag","uns_20Rnd_556x45_Stanag","uns_coltcmdrmag","uns_coltcmdrmag","uns_coltcmdrmag","uns_coltcmdrmag","uns_kabar","DemoCharge_Remote_Mag","uns_ItemSiphon"];
	EGG_EVO_pweapons = ["uns_m16","uns_coltcmdr"];
	EGG_EVO_pitems = ["FirstAidKit","FirstAidKit"];//"uns_anpvs2"
	EGG_EVO_aitems = ["ItemWatch","ItemCompass","ItemMap","ItemRadio"];
};
EGG_EVO_goggles = Goggles player;
EGG_EVO_backpack = "UNS_USMC_E2";

// don't default the player kit for pilots and spies
playertype = typeOf (vehicle player);
if (playertype in EGG_EVO_PlayerPilot || playertype in EGG_EVO_spytype) then
{
	EGG_EVO_headgear = headgear player;
	EGG_EVO_vest = vest player;
	EGG_EVO_uniform = uniform player;
} else {
	EGG_EVO_headgear = "UNS_M1_1";
	EGG_EVO_vest = "UNS_M1956_M1";
	EGG_EVO_uniform = "UNS_ARMY_BDU";
};
// Compile scripts
saveLoadout = compile preprocessFileLineNumbers "actions\fnc_save_loadout.sqf";
loadLoadout = compile preprocessFileLineNumbers "actions\fnc_load_loadout.sqf";

// Large marker seen over occupied cities

EGG_EVO_MainObjective = createMarkerLocal ["MainObj", getMarkerPos "mobj1"];

"MainObj" setMarkerColorLocal "ColorBlack";
"MainObj" setMarkerShapeLocal "ELLIPSE";
"MainObj" setMarkerSizeLocal [500, 500];

// For jip, client waits for server to run update.sqf
waitUntil {EGG_EVO_allvar_packed != ""};

_temp = compile EGG_EVO_allvar_packed;
_vars = call _temp;
EGG_EVO_end = _vars select 0;
EGG_EVO_MissionProgress = _vars select 1;

EGG_sinit2 =1; publicVariable "EGG_sinit2";
hint "finished sinit3";

execVM "briefing.sqf";