/* 
	Marks Recon HQ on the map
	
	Usage:
	Create marker in the editor, name it as "reconhq", type "empty"
	_ambmarker = [] execVM "scripts\ambmarker.sqf";
*/

"reconhq" setMarkerTypelocal "hd_flag";
"reconhq" setMarkerColorlocal "ColorBlue";
"reconhq" setMarkerTextlocal "Recon HQ";

private _defaultReconHQPos = getMarkerPos "reconhq";

while {true} do
{
	if (!isNil "amb" and {!isNull amb}) then
	{
		if (alive amb) then
		{
			"reconhq" setMarkerTypelocal "hd_flag";
			"reconhq" setMarkerColorlocal "ColorBlue";
			"reconhq" setMarkerPoslocal [getpos amb select 0,getpos amb select 1];
			//check if amb is in water
			if ( (getposASL amb select 2) <0) then 
			{
				amb setDamage 1;
			};
			sleep 0.1;
		} else
		{
			"reconhq" setMarkerTypelocal "Empty"; 
			"reconhq" setMarkerColorlocal "ColorBlack";
	//		"reconhq" setMarkerPoslocal [getmarkerpos "T1" select 0,getmarkerpos "T1" select 1];
		};//amb alive
		sleep 5; //run once every 5 secs
	} else 
	{
		// amb either not present or ObjNull
		"reconhq" setMarkerPoslocal _defaultReconHQPos;
	};
	sleep 5; //run once every 5 secs
};