#include "rscbasicDefines.hpp"
class RscIGUIListBox : RscListBox 
{
	color[] = {1,1,1,1};
	colorText[] = {1,1,1,1.0};
	colorDisabled[] = {1,1,1,0.25};
	colorScrollbar[] = {0.95, 0.95, 0.95, 1};
	colorSelect[] = {0.95, 0.95, 0.95, 1};
	colorSelect2[] = {0.95, 0.95, 0.95, 1};
	colorSelectBackground[] = {0.6, 0.839, 0.47, 0.3};
	colorSelectBackground2[] = {0.6, 0.839, 0.47, 1};
	period = 0;
	colorBackground[] = {0, 0, 0, 1};
	colorBackgroundFocused[] = {1,1,1,1};
	sizeEx = 0.035;
	class ScrollBar 
	{
		color[] = {1,1,1,0.6};
		colorActive[] = {1,1,1,1};
		colorDisabled[] = {1,1,1,0.3};
		thumb = "\A3\ui_f\data\gui\cfg\scrollbar\thumb_ca.paa";
		arrowFull = "\A3\ui_f\data\gui\cfg\scrollbar\arrowFull_ca.paa";
		arrowEmpty = "\A3\ui_f\data\gui\cfg\scrollbar\arrowEmpty_ca.paa";
		border = "\A3\ui_f\data\gui\cfg\scrollbar\border_ca.paa";
	};
	class ListScrollBar: ScrollBar//
	{
		color[] = {1,1,1,1};
		autoScrollEnabled = 1;
	};
};
class RscShortcutButton
{
	type = 16;
	idc = -1;
	style = 0;
	default = 0;
	w = 0.183825;
	h = 0.104575;

/*
	color[] = {1,1,1,1.0};
	color2[] = {0.95,0.95,0.95,1};
	colorDisabled[] = {1,1,1,0.25};
	colorBackground[] = {"(profilenamespace getvariable ['GUI_BCG_RGB_R',0.3843])","(profilenamespace getvariable ['GUI_BCG_RGB_G',0.7019])","(profilenamespace getvariable ['GUI_BCG_RGB_B',0.8862])",1};
	colorBackground2[] = {1,1,1,1};
	periodFocus = 1.2;
	periodOver = 0.8;
*/
	color[] = {0.543, 0.5742, 0.4102, 1.0};
	color2[] = {0.95, 0.95, 0.95, 1};
	colorBackground[] = {1, 1, 1, 1};
	colorbackground2[] = {1, 1, 1, 0.4};

	colorBackgroundFocused[] = {1,1,1,1};
	colorSecondary[] = {1,1,1,1.0};
	colorFocusedSecondary[] = {1,1,1,1.0};
	color2Secondary[] = {0.95,0.95,0.95,1};
	colorDisabledSecondary[] = {1,1,1,0.25};
	sizeExSecondary = "(			(			(			((safezoneW / safezoneH) min 1.2) / 1.2) / 25) * 1)";
	fontSecondary = "PuristaMedium";

	colorDisabled[] = {1, 1, 1, 0.25};
	periodFocus = 1.2;
	periodOver = 0.8;
	class HitZone 
	{
		left = 0.004;
		top = 0.029;
		right = 0.004;
		bottom = 0.029;
	};
	class ShortcutPos 
	{
		left = 0.004;
		top = 0.026;
		w = 0.0392157;
		h = 0.0522876;
	};
	class TextPos 
	{
		left = 0.05;
		top = 0.034;
		right = 0.005;
		bottom = 0.005;
	};
	animTextureDefault = "\A3\ui_f\data\GUI\RscCommon\RscShortcutButton\normal_ca.paa";
	animTextureNormal = "\A3\ui_f\data\GUI\RscCommon\RscShortcutButton\normal_ca.paa";
	animTextureDisabled = "\A3\ui_f\data\GUI\RscCommon\RscShortcutButton\normal_ca.paa";
	animTextureOver = "\A3\ui_f\data\GUI\RscCommon\RscShortcutButton\over_ca.paa";
	animTextureFocused = "\A3\ui_f\data\GUI\RscCommon\RscShortcutButton\focus_ca.paa";
	animTexturePressed = "\A3\ui_f\data\GUI\RscCommon\RscShortcutButton\down_ca.paa";
	textureNoShortcut = "";
	period = 0.4;
	font = "PuristaMedium";
	size = 0.03521;
	sizeEx = 0.03521;
	text = "";
	soundEnter[] = {"\A3\ui_f\data\sound\RscButton\soundEnter",0.09,1};
	soundPush[] = {"\A3\ui_f\data\sound\RscButton\soundPush",0.09,1};
	soundClick[] = {"\A3\ui_f\data\sound\RscButton\soundClick",0.09,1};
	soundEscape[] = {"\A3\ui_f\data\sound\RscButton\soundEscape",0.09,1};
	action = "";
	class Attributes 
	{
		font = "PuristaMedium";
		color = "#E5E5E5";
		align = "left";
		shadow = "true";
	};
	class AttributesImage 
	{
		font = "PuristaMedium";
		color = "#E5E5E5";
		align = "left";
			shadow = "true";
	};
};
class RscIGUIShortcutButton: RscShortcutButton 
{
	w = 0.183825;
	h = 0.0522876;
//	style = 2;
	style = 0;

/*
	color[] = {1, 1, 1, 1};
	color2[] = {1, 1, 1, 0.85};
	colorBackground[] = {1, 1, 1, 1};
	colorbackground2[] = {1, 1, 1, 0.85};
	colorDisabled[] = {1, 1, 1, 0.4};
*/
	color[] = {0.543, 0.5742, 0.4102, 1.0};
	color2[] = {0.95, 0.95, 0.95, 1};
	colorBackground[] = {1, 1, 1, 1};
	colorbackground2[] = {1, 1, 1, 0.4};
	colorDisabled[] = {1, 1, 1, 0.25};
	periodFocus = 1.2;
	periodOver = 0.8;
	colorFocused[] = {1,1,1,1.0};
	class HitZone 
	{
		left = 0.002;
		top = 0.003;
		right = 0.002;
		bottom = 0.016;
	};
	class ShortcutPos 
	{
		left = -0.006;
		top = -0.007;
		w = 0.0392157;
		h = 0.0522876;
	};
	class TextPos 
	{
		left = 0.02;
		top = 0.0;
		right = 0.002;
		bottom = 0.016;
	};
	animTextureNormal = "\A3\ui_f\data\GUI\RscCommon\RscShortcutButtonMain\normal_ca.paa";
	animTextureDisabled = "\A3\ui_f\data\GUI\RscCommon\RscShortcutButtonMain\disabled_ca.paa";
	animTextureOver = "\A3\ui_f\data\GUI\RscCommon\RscShortcutButtonMain\over_ca.paa";
	animTextureFocused = "\A3\ui_f\data\GUI\RscCommon\RscShortcutButtonMain\focus_ca.paa";
	animTexturePressed = "\A3\ui_f\data\GUI\RscCommon\RscShortcutButtonMain\down_ca.paa";
	animTextureDefault = "\A3\ui_f\data\GUI\RscCommon\RscShortcutButtonMain\normal_ca.paa";	
	textureNoShortcut = "";
	period = 0.4;
	font = "PuristaMedium";
	class Attributes 
	{
		font = "PuristaMedium";
		color = "#E5E5E5";
		align = "center";
		shadow = "true";
	};
	class AttributesImage 
	{
		font = "PuristaMedium";
		color = "#E5E5E5";
		align = "left";
		shadow = "true";
	};
};

class evoUI
{
	idd = 100;
	movingEnable = 1;
	enableSimulation = 1;
	onLoad = "initNakup = true;DlgClosed = false;[] execVM ""scripts\Core.sqf""";
	__EXEC( _xSpacing = 0.0075;  _ySpacing = 0.01;)
	__EXEC( _xInit = 12 * _xSpacing; _yInit = 18 * _ySpacing;)
	__EXEC( _windowWidth = 101; _windowHeight = 64;)
	__EXEC( _windowBorder = 1;)
	class controlsBackground
	{
		class Mainback : RscPicture 
		{
			idc = 1104;
			x = 0.042;
			y = 0.101;
			w = 1.2549;
			h = 0.836601;
//			text = "\ca\ui\data\igui_background_debriefing_ca.paa";
			text = "img\igui_background_debriefing_ca.paa";
//			text = "\A3\ui_f\data\gui\rsc\rscdisplaygear\igui_background_gear_ca.paa";
		};	
		class DesTitleMain : RscPicture  
		{
			idc = 101;
			x = 0.39;
			y = 0.2;
			w = 0.55;
			h = 0.42;
			text = "img\igui_background_debriefing_ca.paa";
//		text = "\ca\ui\data\igui_background_debriefing_ca.paa";
//			text = "\A3\ui_f\data\gui\rsc\rscdisplaygear\igui_background_gear_ca.paa";
		colorText[] = {0.3, 0.3, 0.3, 0.6};
		};
		class ListbackMain : DesTitleMain  
		{
			idc = 101;
			x = 0.0506555;
			y = 0.2;
			w = 0.31;
			h = 0.34;
			text = "img\igui_background_debriefing_ca.paa";
//			text = "\ca\ui\data\igui_background_debriefing_ca.paa";
//			text = "\A3\ui_f\data\gui\rsc\rscdisplaygear\igui_background_gear_ca.paa";
		};
		class TitleTtl : RscText
		{
		   	idc = 0;
			x = 0.380722;
			y =  0.156;
			w = __EVAL(15 * _xSpacing);
			h = __EVAL(3 * _ySpacing);
			colorText[] = Color_White;
			sizeEx = 0.03;
			text = "GPS";
		};
	};
	class controls
	{
		class SliderVis : RscSlider 
		{
			idc = 6057;
			x = 0.0606555;
			y = 0.57;
			w = 0.29;
			h = __EVAL(3 * _ySpacing);
		};
		class SliderAirVis : SliderVis 
		{
			idc = 6058;
//			y = 0.63;
			y = 0.61;
		};
//adding
		class SliderTerVis : SliderVis 
		{
			idc = 6059;
			y = 0.65;
		};
		class Available_items: RscIGUIListBox//
		{
			idc = 2000;
			default = 1;
			x = 0.0506555;
			y = 0.22;
			w = 0.31;
			h = 0.3;
			//lineSpacing = 0;
			onLBSelChanged = "[] call EGG_EVO_ListSelect";
			onLBDblClick = "[] call EGG_EVO_ActButton";
			rowHeight = 0.04;
//			soundSelect[] = {"\ca\ui\data\sound\mouse2", 0.09, 1};
			soundSelect[] = {"\A3\ui_f\data\sound\new1",0.0,0};
			maxHistoryDelay = 10;
			canDrag = 0;
			xcolumn1 = "0.1f";
			xcolumn2 = "0.25f";
			xcolumn3 = "0.85f";		
		};		
	    class BMulti: RscIGUIShortcutButton // GLOBAL ACTIONS
	    {
			idc = 6056;
			x = 0.11;
			y = 0.60;
			//w = __EVAL(20 * _xSpacing);
			//h = __EVAL(4 * _ySpacing);
			//colorActive[] = CA_UI_green;
			text = "Action";
			onButtonClick = "[] call EGG_EVO_ActButton";
	    };
   		class BRecruit: RscIGUIShortcutButton
	    {
				idc = 656;
		 		x = 0.11;
				y = 0.67;
				text = "Recruitment";
				//text = "Recruitment(L)";
				onButtonClick = "lbSetCurSel[2000,0];Mpage =[true,false,false,false,false];[] call EGG_EVO_ListUpdate";
	    };
	    class BSupport: BRecruit
	    {
			idc = 656;
			y = 0.715;
			text = "Support";
			onButtonClick = "lbSetCurSel[2000,0];Mpage =[false,true,false,false,false];[] call EGG_EVO_ListUpdate";
	    };
	    class BAssign: BRecruit
	    {
			idc = 656;
			y = 0.76;
			text = "Side Mission";
			onButtonClick = "lbSetCurSel[2000,0];Mpage =[false,false,true,false,false];[] call EGG_EVO_ListUpdate";
	    };
	    class BGroup: BRecruit
	    {
			idc = 656;
			y = 0.805;
			text = "Squad";
			onButtonClick = "lbSetCurSel[2000,0];Mpage =[false,false,false,true,false];[] call EGG_EVO_ListUpdate";
	    };
	    class BOptions: RscIGUIShortcutButton
	    {
			idc = 656;
			x = 0.375;
			y = 0.863977;
			text = "Options";
			onButtonClick = "lbSetCurSel[2000,0];Mpage =[false,false,false,false,true];[] call EGG_EVO_ListUpdate";
	    };	      
	    class Close: RscIGUIShortcutButton // Close
	    {
			idc = 656;
			//x = __EVAL(_xInit + (102 * _xSpacing));
			//y = __EVAL(_yInit + (54 * _ySpacing));
			x = 0.771248;
			y = 0.863977;
			//w = __EVAL(16 * _xSpacing);
			//h = __EVAL(4 * _ySpacing);
			//color[] = Color_Black;
			//colorActive[] = CA_UI_green;
			text = "Close";
			onButtonClick = "GetoutClick = true; BtnClick = true";
	    };
		class GPSgmap: RscMapControl
		{
			idc = 895;
			x = 0.39;
			y = 0.22;
			w = 0.55;
			h = 0.38;
/*
			colorBackground[] = {1, 1, 1, 0.6};
			colorOutside[] = {0, 0, 0, 1};
			maxSatelliteAlpha =0;
			alphaFadeStartScale=0;
			alphaFadeEndScale=0;
*/
			scaleMin = 0.001;
			scaleMax = 1.0;
			scaleDefault = 0.16;
			maxSatelliteAlpha = 0.85;
			alphaFadeStartScale = 0.35;
			alphaFadeEndScale = 0.4;
			colorBackground[] = {0.969,0.957,0.949,1.0};
			colorSea[] = {0.467,0.631,0.851,0.5};
			colorForest[] = {0.624,0.78,0.388,0.5};
			colorForestBorder[] = {0.0,0.0,0.0,0.0};
			colorRocks[] = {0.0,0.0,0.0,0.3};
			colorRocksBorder[] = {0.0,0.0,0.0,0.0};
			colorLevels[] = {0.286,0.177,0.094,0.5};
			colorMainCountlines[] = {0.572,0.354,0.188,0.5};
			colorCountlines[] = {0.572,0.354,0.188,0.25};
			colorMainCountlinesWater[] = {0.491,0.577,0.702,0.6};
			colorCountlinesWater[] = {0.491,0.577,0.702,0.3};
			colorPowerLines[] = {0.1,0.1,0.1,1.0};
			colorRailWay[] = {0.8,0.2,0.0,1.0};
			colorNames[] = {0.1,0.1,0.1,0.9};
			colorInactive[] = {1.0,1.0,1.0,0.5};
			colorOutside[] = {0.0,0.0,0.0,1.0};
			colorTracks[] = {0.84,0.76,0.65,0.15};
			colorTracksFill[] = {0.84,0.76,0.65,1.0};
			colorRoads[] = {0.7,0.7,0.7,1.0};
			colorRoadsFill[] = {1.0,1.0,1.0,1.0};
			colorMainRoads[] = {0.9,0.5,0.3,1.0};
			colorMainRoadsFill[] = {1.0,0.6,0.4,1.0};
			colorGrid[] = {0.1,0.1,0.1,0.6};
			colorGridMap[] = {0.1,0.1,0.1,0.6};
			class ActiveMarker 
			{
				color[] = {1, 1, 1, 0.8};
				size = 50;
			};
		};
		class ATitle : RscText
		{
			idc = 2201;
			x = 0.0473857;
			y =  0.156;
			w = __EVAL(34 * _xSpacing);
			h = __EVAL(3 * _ySpacing);
			colorText[] = Color_White;
			sizeEx = 0.03;
			text = "";
		};
		class MTitle : ATitle // Main Title
		{
			idc = 2202;
			x = 0.0473857;	
			y = 0.0913138;
			w = 0.89;
			h = 0.058824;
			colorText[] = Color_White;
			sizeEx = 0.03921;
			text = "";
		};
//
		class TTitle : ATitle // Main Title
		{
			idc = 2207;
			x = 0.0473857;	
			y = 0.655;
			w = 0.89;
			h = 0.058824;
			colorText[] = Color_White;
			sizeEx = 0.03921;
			text = "Terrain Detail";
		};
		class VActive : ATitle
		{
			idc = 2205;
			x = 0.0506555;
			y = 0.535;
			w = __EVAL((_windowWidth - 2 * _windowBorder) * _xSpacing);
			h = __EVAL(4 * _ySpacing);
			colorText[] = Color_White;
			sizeEx = 0.024;
			text = "10000";
		};
		class AVActive : VActive
		{
			idc = 2206;
			y = 0.595;
			text = "10000";
		};
//
		class TActive : VActive
		{
			idc = 2208;
			y = 0.655;
			text = "5";
		};
		
		class Score : RscText
		{
			idc = 2003;
			x = 0.0506555;
			y = 0.55;
			w = __EVAL(15 * _xSpacing);
			h = __EVAL(3 * _ySpacing);
			colorText[] = Color_White;
			sizeEx = 0.03;
			text = ;
		};
		class Reward : Score
		{
			idc = 2002;
			x = 0.1506555;
			text = ;
		};
		class Cost : Score
		{
			idc = 2001;
			x = 0.2506555;
			text = ;
		};	
		
		class Preview : Vendor_Title
		{
			idc = 2004;
			x = 0.72;
			y = 0.625;
			w = 0.035;
			h = 0.035;
			text = ;
			colorText[] = {0.6, 0.839, 0.47, 0.55};
		};
		
		class PreviewMag : Preview
		{
			idc = 2005;
			x = 0.80;
			y = 0.68;
			w = 0.12;
			h = 0.15;
			text = ;
			colorText[] = {0.6, 0.839, 0.47, 0.75};
		};
		class DescriptionTitle: RscText
		{
			idc = 2010;
			style = ST_MULTI + ST_CENTER;
			x = 0.39;
			y = 0.62;
			w = 0.55;
			h = 0.04;
			sizeEx = 0.03921;
			colorText[] = Color_White;
			lineSpacing = 1;
			text = ;
		};
		class Description: DescriptionTitle
		{
			idc = 2011;
			style = ST_MULTI;
			w = 0.40;
			sizeEx = 0.03;
			y = 0.67;
			h = 0.18;
			text = ;
		};
	};
};
