//advanced ambush troop convoy mission

_user = _this select 0;
_var = _this select 1;
_usergroup = (group player);
_allobj = [];
_pos = [0,0,0];
_obj1 = [];
_currentobj = [];
_guardmis=grpNull;

_txtcommon = localize "STR_M04t0_5";
_txtfailhead = localize "STR_M04t2_6";//failed
_txtpasshead = localize "STR_M04t1_9";//complete
_txtpassbody = format["+%1 %2",_var,_txtcommon];

_MissionBriefingLong = localize "STR_M04t17_1";
_MissionBriefingHUD = localize "STR_M04t15_0";
_MissionBriefingShort = localize "STR_M04t16_0";
_txtfailbody = localize "STR_M04t18_0";

_deleteass =
{
	EGG_EVO_Onmission=false;
	sleep 12.0;
	player removeSimpleTask _obj1;
	_handle = [_guardmis] execVM "scripts\delete.sqf";
	sleep 90.0;
	{deletevehicle _x} forEach [_heli,_heli1,_heli2,_heli3,_heli4,_heli5,_heli6];
};

_Fail = 
{
	_obj1 settaskstate "Failed";
	["#FF0000",_txtfailhead,_txtfailbody] call EGG_EVO_Message;
	[] call _deleteass;
};

[West,"HQ"] SideChat localize "STR_M04t64";

//adding
if(_var == 10) then
{	
	_allobj = [["mrnd1","mrnd2"],["mrnd3","mrnd4"],["mrnd5","mrnd6"],["mrnd7","mrnd8"],["mrnd9","mrnd10"]];
};
if(_var == 20) then
{
	_allobj = [["mrnd11","mrnd12"],["mrnd13","mrnd14"],["mrnd15","mrnd16"],["mrnd17","mrnd18"],["mrnd19","mrnd20"]];
};
if(_var == 30) then
{
	_allobj = [["mrnd21","mrnd22"],["mrnd23","mrnd24"],["mrnd25","mrnd26"],["mrnd27","mrnd28"],["mrnd29","mrnd30"]];
};

_maxp = (count _allobj)-1;
_r = round random _maxp;
_rand =  ((_allobj select _r) select 0);
_rand2 =  ((_allobj select _r) select 1);
_pos = getMarkerPos _rand;

_obj1 = player createSimpleTask ["obj1"];
_obj1 setSimpleTaskDescription [_MissionBriefingLong,_MissionBriefingShort,_MissionBriefingHUD];
_obj1 setSimpleTaskDestination _pos;
_obj1 settaskstate "Created";
player setCurrentTask _obj1;

[2400] execVM "scripts\missions\timer.sqf";
_mapview = [_pos,2] execVM "scripts\missions\mismap.sqf";
sleep 5;
[West,"HQ"] SideChat localize "str_som_ambush_briefing_1";

waitUntil {player distance _pos < 2500 or not EGG_EVO_Onmission};	
if (not EGG_EVO_Onmission) exitwith {[] call _Fail};

_guardmis = createGroup (east);

_pos2 = [(_pos select 0),(_pos select 1) - 15,(_pos select 2)];
_pos3 = [(_pos select 0),(_pos select 1) - 30,(_pos select 2)];
_pos4 = [(_pos select 0),(_pos select 1) - 45,(_pos select 2)];
_pos5 = [(_pos select 0),(_pos select 1) - 60,(_pos select 2)];
_pos6 = [(_pos select 0),(_pos select 1) - 75,(_pos select 2)];
_pos7 = [(_pos select 0),(_pos select 1) - 90,(_pos select 2)];

_allvecA = EGG_EVO_mevlight; //escorts
_allvecB = EGG_EVO_mevconvoyb; //trucks
_allvecC = EGG_EVO_mevconvoya; //fuel truck

if(_var == 30) then
{
	_allvecA = EGG_EVO_mevmed;
};

_maxA = (count _allvecA)-1;
_maxB = (count _allvecB)-1;
_maxC = (count _allvecC)-1;

_heli = createVehicle [(_allvecA select round random _maxA), _pos, [], 0, "NONE"];Sleep EGG_EVO_GlobalSleep;

_heli1 = createVehicle [(_allvecB select round random _maxB), _pos2, [], 0, "NONE"];Sleep EGG_EVO_GlobalSleep;

_heli2 = createVehicle [(_allvecB select round random _maxB), _pos3, [], 0, "NONE"];Sleep EGG_EVO_GlobalSleep;

_heli3 = createVehicle [(_allvecB select round random _maxB), _pos4, [], 0, "NONE"];Sleep EGG_EVO_GlobalSleep;

_heli4 = createVehicle [(_allvecB select round random _maxB), _pos5, [], 0, "NONE"];Sleep EGG_EVO_GlobalSleep;

_heli5 = createVehicle [(_allvecC select round random _maxC), _pos6, [], 0, "NONE"];Sleep EGG_EVO_GlobalSleep;

_heli6 = createVehicle [(_allvecA select round random _maxA), _pos7, [], 0, "NONE"];Sleep EGG_EVO_GlobalSleep;
/////////////////////////////////////////

_allunits = EGG_EVO_meguardg;
_maxu = (count _allunits)-1;

//calculate crew
{
	[_x] call EGG_EVO_Lock;
	_spawne = [_x] spawn {[_this select 0] call EGG_EVO_idelSVEC};
	_x addEventHandler ["killed", {handle = [_this select 0] execVM "scripts\bury.sqf"}];

	if((_x emptyPositions "driver") > 0) then 
	{
		_unit = _guardmis createUnit [(_allunits select round random _maxu), _pos2, [], 5, "FORM"];
		_unit AssignasDriver _x;
		_unit moveinDriver _x;
	};
	Sleep 0.1;
	if((_x emptyPositions "commander") > 0) then 
	{
		_unit = _guardmis createUnit [(_allunits select round random _maxu), _pos3, [], 5, "FORM"];
		_unit AssignasCommander _x;
		_unit moveinCommander _x;
	};
	Sleep 0.1;
	_x engineon true;
	_type = Typeof _x;
	_maxcrew = getNumber (configFile >> "CfgVehicles" >> _type >> "transportSoldier");
	_n = 0;
	while {_n < _maxcrew} do 
	{
		_unit = _guardmis createUnit [(_allunits select round random _maxu), _pos4, [], 5, "FORM"];
		_unit AssignasCargo _x;
		_unit moveinCargo _x;
		_n = _n+1;
		Sleep 0.1;
	};
} forEach [_heli,_heli1,_heli2,_heli3,_heli4,_heli5,_heli6];
{
	if((_x emptyPositions "gunner") > 0) then 
	{
		_unit = _guardmis createUnit [(_allunits select round random _maxu), _pos5, [], 5, "FORM"];
		_unit AssignasGunner _x;
		_unit moveinGunner _x;
	};		
	Sleep 0.1;
} forEach [_heli,_heli6];

if(_var == 30) then
{
	[_guardmis, 2] spawn EGG_EVO_skill
} else
{
	[_guardmis, 3] spawn EGG_EVO_skill
};

////////////////////////////////////////

_guardmis setFormation "COLUMN";
_guardmis setSpeedMode "LIMITED";
_guardmis setBehaviour "SAFE";
//{_x addEventHandler ["killed", {handle = [_this select 0] execVM "scripts\bury.sqf"}]} forEach (units _guardmis);
_recy = [_user,_guardmis] execVM "scripts\grecycle.sqf";

_pos = getMarkerPos _rand2;
_wp = _guardmis addWaypoint [_pos, 10];
[_guardmis, 1] setWaypointType "GETOUT";

_pos = position (leader _guardmis);

for [{_loop=0}, {_loop<1}, {_loop=_loop}] do
{
	sleep 1.001;
	_obj1 setSimpleTaskDestination  position (leader _guardmis);
	if ( (({alive _x} count units _guardmis) < 1) or (not EGG_EVO_Onmission) ) then {_loop=1;};
};
if (not EGG_EVO_Onmission) exitwith {[] call _Fail};

{if(isplayer _x) then {_x doFollow leader _x}} foreach units (group player);

["#FF0000",_txtpasshead,_txtpassbody] call EGG_EVO_Message;

[West,"HQ"] SideChat localize "STR_M04t65";playSound "Goodjob";
sleep 5;
[West,"HQ"] SideChat localize "str_m07r04";

EGG_EVO_punit = _usergroup;
EGG_EVO_prew  = _var;
publicVariable "EGG_EVO_prew";
publicVariable "EGG_EVO_punit";
_obj1 settaskstate "Succeeded";

sleep 1.0;
[] call _deleteass;
